This page was created by the IDL library routine `mk_html_help2`.

Last modified: Mon Aug 25 17:13:29 2025.

# Directory Listing of Routines

# projects/iugonet/load

- CONV3D
  Convert 3D data to 2D or 1D data
- FILE_DAILYNAMES_IUG
- IUG_LOAD_ASI_NIPR
  Loads the all-sky imager data obtained by NIPR.
- IUG_LOAD_ASK_NIPR
  Loads the keogram of all-sky imager data obtained by NIPR.
- IUG_LOAD_AVON_VLFB
  To load AVON/VLF-B data
- IUG_LOAD_AWS_ID
  Queries the RISH server for the surface meterology data taken by the automatic weather
- IUG_LOAD_AWS_KTB
  Queries the RISH server for the surface meterology data taken by the automatic weather
- IUG_LOAD_AWS_RISH
  Queries the RISH server for the surface meterology data taken by the automatic weather
- IUG_LOAD_AWS_SGK
  Queries the RISH server for the surface meterology data taken by the automatic weather
- IUG_LOAD_BLR_RISH
  Queries the Kyoto_RISH server for the CSV data (uwnd, vwnd, wwnd, pwr1-5, wdt1-5)
- IUG_LOAD_CAMERA_OMTI_ASI
  To load the OMTI ASI data from the STEL ERG-SC site
- IUG_LOAD_EAR
  Queries the RISH servers for all the observation data (troposphere and FAI)
- IUG_LOAD_EAR_IONO_EFR_NC
  Queries the Kyoto_RISH servers for the FAI observation data in the NetCDF format
- IUG_LOAD_EAR_IONO_EFR_TXT
  Queries the Kyoto_RISH servers for the FAI observation data in the CSV format
- IUG_LOAD_EAR_IONO_ER_NC
  Queries the Kyoto_RISH servers for the FAI observation data in the NetCDF format
- IUG_LOAD_EAR_IONO_ER_TXT
  Queries the Kyoto_RISH servers for the FAI observation data in the CSV format
- IUG_LOAD_EAR_IONO_FR_NC
  Queries the Kyoto_RISH servers for the FAI observation data in the NetCDF format
- IUG_LOAD_EAR_IONO_FR_TXT
  Queries the Kyoto_RISH servers for the FAI observation data in the CSV format
- IUG_LOAD_EAR_IONO_VR_NC
  Queries the Kyoto_RISH servers for the FAI observation data in the NetCDF format
- IUG_LOAD_EAR_IONO_VR_TXT
  Queries the Kyoto_RISH servers for the FAI observation data in the CSV format
- IUG_LOAD_EAR_TROP_NC
  Queries the Kyoto_RISH servers for the standard observation data of troposphere and stratsoohere
- IUG_LOAD_EAR_TROP_TXT
  Queries the Kyoto_RISH servers for the standard observation data of troposphere and stratsoohere
- IUG_LOAD_EISCAT
  loads the EISCAT radar data.
- IUG_LOAD_EISCAT_VIEF
  loads the EISCAT vector Vi and E field data.
- IUG_LOAD_GMAG_ICSWSE_IAGA
  This procedure allows you to download and plot 1-second and 1-minute magnetometer data
- IUG_LOAD_GMAG_ISEE_FLUXGATE
- IUG_LOAD_GMAG_ISEE_INDUCTION
  To load ISEE induction magnetometer data from the ISEE ERG-SC site
- IUG_LOAD_GMAG_MAGDAS_1SEC
  To load the MAGDAS geomagnetic data from the STEL ERG-SC site
- IUG_LOAD_GMAG_MM210
- IUG_LOAD_GMAG_NIPR
  Loads the fluxgate magnetometer data obtained by NIPR.
- IUG_LOAD_GMAG_NIPR_INDUCTION
- IUG_LOAD_GMAG_STEL_FLUXGATE
- IUG_LOAD_GMAG_STEL_INDUCTION
  To load ISEE induction magnetometer data from the ISEE ERG-SC site
- IUG_LOAD_GMAG_WDC
  Loading geomag data in WDC format from WDC for Geomag Kyoto.
- IUG_LOAD_GMAG_WDC_CREATE_TPLOT_VARS
- IUG_LOAD_GMAG_WDC_QDDAYS
- IUG_LOAD_GMAG_WDC_RELPATH
- IUG_LOAD_GMAG_WDC_RELPATH_TO_YEAR
- IUG_LOAD_GMAG_WDC_VSNAMES
- IUG_LOAD_GMAG_WDC_WDCHR
- IUG_LOAD_GMAG_WDC_WDCMIN
- IUG_LOAD_GMAG_WDC_WP_INDEX
  This procedure get Wp index and the number of available station.
- IUG_LOAD_GPS_ATEC
  Queries the ISEE servers for the absolute value of GPS TEC (Total Electron Content) data
- IUG_LOAD_GPS_CHAMP_FSI_NC
  Queries the Kyoto_RISH servers for the GPS-CHAMP radio occultation FSI data in the netCDF format
- IUG_LOAD_GPS_COSMIC_FSI_NC
  Queries the Kyoto_RISH servers for the GPS-COSMIC radio occultation FSI data in the netCDF format
- IUG_LOAD_GPS_ISEE
  Queries the ISEE servers for the GPS TEC (Total Electron Content) data
- IUG_LOAD_GPS_RO_RISH
  Queries the Kyoto_RISH servers for the GPS radio occultation FSI data in the netCDF format
- IUG_LOAD_HF_TOHOKUU
  To load the Jupiter's/solar wide band spectral data in HF-band
- IUG_LOAD_IONOSONDE_RISH
  Queries the RISH server for the ionogram data taken by the ionosonde
- IUG_LOAD_IPRT
- IUG_LOAD_IPRT_HIGHRES
- IUG_LOAD_IRIO_NIPR
  Loads the imaging riometer data obtained by NIPR.
- IUG_LOAD_ISEE_BRIO
  Loads the broadbeam riometer data obtained from ISEE riometer network.
- IUG_LOAD_ISEE_VLF
  To load VLF spectrum data obtained by ISEE ELF/VLF network from the ISEE ERG-SC site
- IUG_LOAD_KYUSHUGCM
  Loads the Kyushu GCM simulation data.
- IUG_LOAD_LFRTO
  To load the Low Frequency Radio Transmitter Observation data from the Tohoku University site
- IUG_LOAD_LTR_RISH
  Queries the Kyoto_RISH servers for the observation data (uwnd, vwnd, wwnd, pwr1-5, wdt1-5)
- IUG_LOAD_METEOR_BIK_NC
  Queries the RISH servers for the meteor data (netCDF format) taken by
- IUG_LOAD_METEOR_BIK_TXT
  Queries the Kyoto_RISH servers for the horizontal wind data (uwnd, vwnd, uwndsig, vwndsig, mwnum)
- IUG_LOAD_METEOR_KTB_NC
  Queries the RISH servers for the meteor data (netCDF format) taken by
- IUG_LOAD_METEOR_KTB_TXT
  Queries the RISH servers for the meteor observation data (text format) taken by
- IUG_LOAD_METEOR_NIPR
  loads meteor radar data of NIPR
- IUG_LOAD_METEOR_RISH
  Queries the RISH servers for the meteor observation data (netCDF format) taken by
- IUG_LOAD_METEOR_SGK_NC
  Queries the RISH servers for the meteor data (netCDF format) taken by
- IUG_LOAD_METEOR_SGK_TXT
  Queries the RISH servers for the meteor observation data (text format) taken by
- IUG_LOAD_METEOR_SRP_NC
  Queries the RISH servers for the meteor data (netCDF format) taken by
- IUG_LOAD_METEOR_SRP_TXT
  Queries the RISH servers for the meteor data (text format) taken by
- IUG_LOAD_MF_RISH
  Queries the Kyoto_RISH servers for the observation data (uwind, vwind, wwind)
- IUG_LOAD_MF_RISH_PAM_BIN
  Queries the Kyoto_RISH servers for the observation data (uwind, vwind, wwind)
- IUG_LOAD_MF_RISH_PAM_NC
  Queries the Kyoto_RISH servers for the observation data (uwind, vwind, wwind)
- IUG_LOAD_MF_RISH_PON_NC
  Queries the Kyoto_RISH servers for the observation data (uwind, vwind, wwind)
- IUG_LOAD_MF_RISH_PON_TXT
- IUG_LOAD_MU
  Queries the Kyoto_RISH servers for all the observation data taken by
- IUG_LOAD_MU_FAI_NC
  Queries the Kyoto_RISH servers for the FAI observation data in the netCDF format
- IUG_LOAD_MU_FAI_TXT
  Queries the Kyoto_RISH servers for the FAI observation data in the CSV format
- IUG_LOAD_MU_IONO_DRIFT_NC
  Queries the Kyoto_RISH servers for ionospheric plasma drift velocity in netCDF format
- IUG_LOAD_MU_IONO_DRIFT_TXT
  Queries the Kyoto_RISH servers for ionospheric plasma drift velocity in text format
- IUG_LOAD_MU_IONO_PWR_NC
  Queries the Kyoto_RISH servers for ion and electron temperatures in netCDF format
- IUG_LOAD_MU_IONO_PWR_TXT
  Queries the Kyoto_RISH servers for ion and electron temperatures in text format
- IUG_LOAD_MU_IONO_TETI_NC
  Queries the Kyoto_RISH servers for ion and electron temperatures in netCDF format
- IUG_LOAD_MU_IONO_TETI_TXT
  Queries the Kyoto_RISH servers for ion and electron temperatures in text format
- IUG_LOAD_MU_IS_NC
  Queries the Kyoto_RISH servers for ionospheric parameters (e.g., electron and ion drift
- IUG_LOAD_MU_MESO_NC
  Queries the RISH servers for the standard observation data (netCDF format) of the
- IUG_LOAD_MU_MESO_TXT
  Queries the RISH servers for the standard observation data (CSV format) of the
- IUG_LOAD_MU_MESO_WIND_NC
  Queries the RISH servers for the 1-hour average wind data (netCDF format) of the
- IUG_LOAD_MU_MESO_WIND_TXT
  Queries the RISH servers for the 1-hour average wind data (CSV format) of the
- IUG_LOAD_MU_METEOR_NC
  Queries the Kyoto_RISH servers for the horizontal wind data (uwnd, vwnd, uwndsig, vwndsig, mwnum)
- IUG_LOAD_MU_METEOR_TXT
  Queries the Kyoto_RISH servers for the horizontal wind data (uwnd, vwnd, uwndsig, vwndsig, mwnum)
- IUG_LOAD_MU_RASS_TXT
  Queries the Kyoto_RISH servers for the special observation data of the
- IUG_LOAD_MU_TROP_TXT
  Queries the Kyoto_RISH servers for the standard observation data of the
- IUG_LOAD_RADIOSONDE_BDG_CSV
  Queries the Kyoto RISH server for the text data (press, temp, rh, uwnd, vwnd)
- IUG_LOAD_RADIOSONDE_BDG_NC
  Queries the Kyoto RISH server for the netCDF data (press, temp, rh, uwnd, vwnd)
- IUG_LOAD_RADIOSONDE_DAWEX_NC
  Queries the Kyoto RISH server for the netCDF data (press, temp, rh, uwnd, vwnd)
- IUG_LOAD_RADIOSONDE_DAWEX_TXT
  Queries the Kyoto RISH server for the text data (press, temp, rh, uwnd, vwnd)
- IUG_LOAD_RADIOSONDE_KTB_CSV
  Queries the Kyoto RISH server for the text data (press, temp, rh, uwnd, vwnd)
- IUG_LOAD_RADIOSONDE_KTB_NC
  Queries the Kyoto RISH server for the netCDF data (press, temp, rh, uwnd, vwnd)
- IUG_LOAD_RADIOSONDE_PON_CSV
  Queries the Kyoto RISH server for the text data (press, temp, rh, uwnd, vwnd)
- IUG_LOAD_RADIOSONDE_PON_NC
  Queries the Kyoto RISH server for the netCDF data (press, temp, rh, uwnd, vwnd)
- IUG_LOAD_RADIOSONDE_RISH
  Queries the Kyoto_RISH servers for all the observation data taken by
- IUG_LOAD_RADIOSONDE_SGK_CSV
  Queries the Kyoto RISH server for the text data (press, temp, rh, uwnd, vwnd)
- IUG_LOAD_RADIOSONDE_SGK_SND
  Queries the Kyoto RISH server for the text data (press, temp, rh, uwnd, vwnd)
- IUG_LOAD_RADIOSONDE_SGK_TSV
  Queries the Kyoto RISH server for the text data (press, temp, rh, uwnd, vwnd)
- IUG_LOAD_RADIOSONDE_SRP_CSV
  Queries the Kyoto RISH server for the text data (press, temp, rh, uwnd, vwnd)
- IUG_LOAD_RADIOSONDE_SRP_NC
  Queries the Kyoto RISH server for the netCDF data (press, temp, rh, uwnd, vwnd)
- IUG_LOAD_RADIOSONDE_UJI_CSV
  Queries the Kyoto RISH server for the text data (press, temp, rh, uwnd, vwnd)
- IUG_LOAD_RADIOSONDE_UJI_NC
  Queries the Kyoto RISH server for the netCDF data (press, temp, rh, uwnd, vwnd)
- IUG_LOAD_SDFIT
  Load fitacf CDF files of SuperDARN as tplot variables.
- IUG_LOAD_SMART
- IUG_LOAD_WPR_RISH
  Queries the Kyoto_RISH servers for the observation data (uwnd, vwnd, wwnd, pwr1-5, wdt1-5)

# Routine Descriptions

## CONV3D

[Next Routine] [List of Routines]

     PROCEDURE: CONV3D
       conv3d, tvar3d, $
               selparam_idx=selparam_idx, $
               selparam_dat=selparam_dat, $
               newname=newname

     PURPOSE:
       Convert 3D data to 2D or 1D data

     KEYWORDS:
       tvar3d: tplot variables for 3D data
       selparam_idx: a vector with 3 elements to identify the loaded variables
               when converting 3D data to 2D or 1D data.
       selparam_dat: a vector with 3 elements to identify the coordinate.
               when converting 3D data to 2D or 1D data.
       newname: if set, then name of the converted data will be newname.
               This keyword is available only when selparam_idx is set.

     EXAMPLE:
       conv3d, 'kyushugcm_T', selparam_idx=[0,0,1], selparam_dat=[30., 50., 0]
           loads 1D data along z-axis at (x,y)=(30.,50.).

       conv3d, 'kyushugcm_T', selparam_idx=[1,1,0], selparam_dat=[0., 0., 100.]
           loads 2D data on the x-y plane at z=100.

     Written by Y.-M. Tanaka, Dec.24, 2012 (ytanaka at nipr.ac.jp)

(See projects/iugonet/load/conv3d.pro)

## FILE_DAILYNAMES_IUG

[Previous Routine] [Next Routine] [List of Routines]

      Procedure:  FILE_DAILYNAMES
      Author: Atsuki Shinbori

(See projects/iugonet/load/file_dailynames_iug.pro)

## IUG_LOAD_ASI_NIPR

[Previous Routine] [Next Routine] [List of Routines]

     PROCEDURE: IUG_LOAD_ASI_NIPR
       iug_load_asi_nipr, site = site, $
                         wavelength=wavelength, $
                         trange=trange, $
                         verbose=verbose, $
                         downloadonly=downloadonly, $
                         no_download=no_download

     PURPOSE:
       Loads the all-sky imager data obtained by NIPR.

     KEYWORDS:
       site  = Observatory name, example, iug_load_asi_nipr, site='syo',
               the default is 'all', i.e., load all available stations.
               This can be an array of strings, e.g., ['syo', 'hus']
               or a single string delimited by spaces, e.g., 'syo hus'.
               Available sites as of April, 2013 : syo
       wavelength = Wavelength in Angstrom, i.e., 4278, 5577, 6300, etc.
               The 0000 means white light images taken without filter.
               Only 0000 is available as of October, 2014.
       trange = (Optional) Time range of interest  (2 element array).
       /verbose: set to output some useful info
       /downloadonly: if set, then only download the data, do not load it
               into variables.
       /no_download: use only files which are online locally.

     EXAMPLE:
       iug_load_asi_nipr, site='hus', wavelength=0000, $
                     trange=['2012-01-22/20:30','2012-01-22/21:00']

     Written by Y.-M. Tanaka, July, 2014 (ytanaka at nipr.ac.jp)
     Modified by Y.-M. Tanaka, November, 2020 (ytanaka at nipr.ac.jp)

(See projects/iugonet/load/iug_load_asi_nipr.pro)

## IUG_LOAD_ASK_NIPR

[Previous Routine] [Next Routine] [List of Routines]

     PROCEDURE: IUG_LOAD_ASK_NIPR
       iug_load_ask_nipr, site = site, $
                         wavelength=wavelength, $
                         trange=trange, $
                         verbose=verbose, $
                         downloadonly=downloadonly, $
                         no_download=no_download

     PURPOSE:
       Loads the keogram of all-sky imager data obtained by NIPR.

     KEYWORDS:
       site  = Observatory name, example, iug_load_ask_nipr, site='syo',
               the default is 'all', i.e., load all available stations.
               This can be an array of strings, e.g., ['syo', 'hus']
               or a single string delimited by spaces, e.g., 'syo hus'.
               Available sites as of April, 2013 : syo
       wavelength = Wavelength in Angstrom, i.e., 4278, 5577, 6300, etc.
               The 0000 means white light images taken without filter.
               Only 0000 is available as of October, 2014.
       trange = (Optional) Time range of interest  (2 element array).
       /verbose: set to output some useful info
       /downloadonly: if set, then only download the data, do not load it
               into variables.
       /no_download: use only files which are online locally.

     EXAMPLE:
       iug_load_ask_nipr, site='syo', wavelength=0000, $
                     trange=['2012-01-22','2012-01-23']

     Written by Y.-M. Tanaka, August, 2014 (ytanaka at nipr.ac.jp)
     Modified by Y.-M. Tanaka, September, 2020 (ytanaka at nipr.ac.jp)

(See projects/iugonet/load/iug_load_ask_nipr.pro)

## IUG_LOAD_AVON_VLFB

[Previous Routine] [Next Routine] [List of Routines]

     PROCEDURE: iug_load_avon_vlfb

     PURPOSE:
       To load AVON/VLF-B data

     KEYWORDS:
       site  = Observatory name, example, iug_load_avon, site='TNN',
               This can be an array of strings, e.g., ['tnn', 'srb']
               or a single string delimited by spaces, e.g., 'tnn srb'.
               Sites:  tnn srb ptk lbs
       parameter = Parameter name. 'ch1' and 'ch2' are available.
                   ch1 for north-south component, and ch2 for east-west component.
       /downloadonly, if set, then only download the data, do not load it into variables.
       /no_download: use only files which are online locally.
       /verbose : set to output some useful info
       trange = (Optional) Time range of interest  (2 element array).

     EXAMPLE:
       iug_load_avon_vlfb, site='tnn', $
                trange=['2007-12-28/10:20:00','2007-12-28/10:40:00']

     NOTE: See the rules of the road.
           For more information, see http://iugonet02.gp.tohoku.ac.jp/avon/rules.txt

     NAMING CONVENTIONS:
           avon_[site]_vlfb_[parameter]
           ex. avon_tnn_vlfb_ch1

     Written by: M.Yagi, May 14, 2014
                 PPARC, Tohoku Univ.

       $LastChangedBy: nikos $
       $LastChangedDate: 2018-08-01 11:03:38 -0700 (Wed, 01 Aug 2018) $
       $URL:

(See projects/iugonet/load/iug_load_avon_vlfb.pro)

## IUG_LOAD_AWS_ID

[Previous Routine] [Next Routine] [List of Routines]

    NAME:
    iug_load_aws_id

    PURPOSE:
      Queries the RISH server for the surface meterology data taken by the automatic weather
      station (AWS) at the Indonesian stations and loads data into tplot format.

    SYNTAX:
     iug_load_aws_id, site=site, downloadonly=downloadonly, trange=trange, verbose=verbose

    KEYWOARDS:
      SITE = AWS observation site.
             For example, iug_load_aws_id, site = 'pon'.
             The default is 'all', i.e., load all available observation points.
      TRANGE = (Optional) Time range of interest  (2 element array), if
              this is not set, the default is to prompt the user. Note
              that if the input time range is not a full day, a full
              day's data is loaded.
      /downloadonly, if set, then only download the data, do not load it
                     into variables.
      VERBOSE: [1,...,5], Get more detailed (higher number) command line output.

    CODE:
      A. Shinbori, 28/02/2013.

    MODIFICATIONS:
      A. Shinbori, 08/04/2013.
      A. Shinbori, 24/01/2014.
      A. Shinbori, 08/08/2017.
      A. Shinbori, 29/11/2017.

    ACKNOWLEDGEMENT:
     $LastChangedBy: nikos $
     $LastChangedDate: 2018-08-01 11:03:38 -0700 (Wed, 01 Aug 2018) $
     $LastChangedRevision: 25538 $
     $URL $

(See projects/iugonet/load/iug_load_aws_id.pro)

## IUG_LOAD_AWS_KTB

[Previous Routine] [Next Routine] [List of Routines]

    NAME:
    iug_load_aws_ktb

    PURPOSE:
      Queries the RISH server for the surface meterology data taken by the automatic weather
      station (AWS) at the Kototabang stations and loads data into tplot format.

    SYNTAX:
     iug_load_aws_ktb, site=site, downloadonly=downloadonly, trange=trange, verbose=verbose

    KEYWOARDS:
      SITE = AWS observation site.
             For example, iug_load_aws_ktb, site = 'ktb'.
      TRANGE = (Optional) Time range of interest  (2 element array), if
              this is not set, the default is to prompt the user. Note
              that if the input time range is not a full day, a full
              day's data is loaded.
      /downloadonly, if set, then only download the data, do not load it
                     into variables.
      VERBOSE: [1,...,5], Get more detailed (higher number) command line output.

    CODE:
      A. Shinbori, 28/02/2013.

    MODIFICATIONS:
      A. Shinbori, 24/01/2014.

    ACKNOWLEDGEMENT:
     $LastChangedBy: nikos $
     $LastChangedDate: 2018-08-01 11:03:38 -0700 (Wed, 01 Aug 2018) $
     $LastChangedRevision: 25538 $
     $URL $

(See projects/iugonet/load/iug_load_aws_ktb.pro)

## IUG_LOAD_AWS_RISH

[Previous Routine] [Next Routine] [List of Routines]

    NAME:
    iug_load_aws_rish

    PURPOSE:
      Queries the RISH server for the surface meterology data taken by the automatic weather
      station (AWS) and loads data into tplot format.

    SYNTAX:
     iug_load_aws_rish, site=site, downloadonly=downloadonly, trange=trange, verbose=verbose

    KEYWOARDS:
      SITE = AWS observation site.
             For example, iug_load_aws_rish, site = 'bik'.
             The default is 'all', i.e., load all available observation points.
      TRANGE = (Optional) Time range of interest  (2 element array), if
              this is not set, the default is to prompt the user. Note
              that if the input time range is not a full day, a full
              day's data is loaded.
      /downloadonly, if set, then only download the data, do not load it
                     into variables.
      VERBOSE : [1,...,5], Get more detailed (higher number) command line output.

    CODE:
      A. Shinbori, 28/02/2013.

    MODIFICATIONS:
      A. Shinbori, 08/01/2014.

    ACKNOWLEDGEMENT:
     $LastChangedBy: nikos $
     $LastChangedDate: 2018-08-01 11:03:38 -0700 (Wed, 01 Aug 2018) $
     $LastChangedRevision: 25538 $
     $URL $

(See projects/iugonet/load/iug_load_aws_rish.pro)

## IUG_LOAD_AWS_SGK

[Previous Routine] [Next Routine] [List of Routines]

    NAME:
    iug_load_aws_sgk

    PURPOSE:
      Queries the RISH server for the surface meterology data taken by the automatic weather
      station (AWS) at Shigaraki and loads data into tplot format.

    SYNTAX:
     iug_load_aws_sgk, site=site, downloadonly=downloadonly, trange=trange, verbose=verbose

    KEYWOARDS:
      SITE = AWS observation site.
             For example, iug_load_aws_sgk, site = 'sgk'.
             The default is 'all', i.e., load all available observation points.
      TRANGE = (Optional) Time range of interest  (2 element array), if
              this is not set, the default is to prompt the user. Note
              that if the input time range is not a full day, a full
              day's data is loaded.
      /downloadonly, if set, then only download the data, do not load it
                     into variables.
      VERBOSE: [1,...,5], Get more detailed (higher number) command line output.

    CODE:
      A. Shinbori, 28/02/2013.

    MODIFICATIONS:
      A. Shinbori, 24/01/2014.
      A. Shinbori, 08/08/2017.
      A. Shinbori, 30/11/2017.

    ACKNOWLEDGEMENT:
     $LastChangedBy: nikos $
     $LastChangedDate: 2018-08-01 11:03:38 -0700 (Wed, 01 Aug 2018) $
     $LastChangedRevision: 25538 $
     $URL $

(See projects/iugonet/load/iug_load_aws_sgk.pro)

## IUG_LOAD_BLR_RISH

[Previous Routine] [Next Routine] [List of Routines]

    NAME:
    iug_load_blr_rish

    PURPOSE:
      Queries the Kyoto_RISH server for the CSV data (uwnd, vwnd, wwnd, pwr1-5, wdt1-5)
      of the troposphere taken by the boundary layer radar (BLR) at Kototabang, Shigaraki and Serpong
      and loads data into tplot format.

    SYNTAX:
     iug_load_blr_rish, site=site, parameter=parameter, $
                        downloadonly=downloadonly, trange=trange, verbose=verbose

    KEYWOARDS:
       SITE = BLR observation site.
              For example, iug_load_blr_rish, site = 'ktb'.
              The default is 'all', i.e., load all available observation points.
      PARAMETER = parameter name of BLR obervation data.
              For example, iug_load_blr_rish, parameter = 'uwnd'.
              The default is 'all', i.e., load all available parameters.
      TRANGE = (Optional) Time range of interest  (2 element array), if
              this is not set, the default is to prompt the user. Note
              that if the input time range is not a full day, a full
              day's data is loaded.
      /downloadonly, if set, then only download the data, do not load it
                     into variables.
      VERBOSE: [1,...,5], Get more detailed (higher number) command line output.

    CODE:
      A. Shinbori, 09/09/2010.

    MODIFICATIONS:
      A. Shinbori, 03/23/2011.
      A. Shinbori, 12/26/2011.
      A. Shinbori, 31/01/2012.
      A. Shinbori, 10/02/2012.
      A. Shinbori, 17/12/2012.
      A. Shinbori, 27/02/2013.
      A. Shinbori, 24/01/2014.
      A. Shinbori, 08/08/2017.
      A. Shinbori, 30/11/2017.

    ACKNOWLEDGEMENT:
     $LastChangedBy: nikos $
     $LastChangedDate: 2018-08-01 11:03:38 -0700 (Wed, 01 Aug 2018) $
     $LastChangedRevision: 25538 $
     $URL $

(See projects/iugonet/load/iug_load_blr_rish.pro)

## IUG_LOAD_CAMERA_OMTI_ASI

[Previous Routine] [Next Routine] [List of Routines]

     PROCEDURE: iug_load_camera_omti_asi

     PURPOSE:
       To load the OMTI ASI data from the STEL ERG-SC site

     NOTE: This procedure is a simple alias to "erg_load_camera_omti_asi"
       and calls the original one by just providing the same
       arguments/keywords given.
       Some load procedures for the ground-based observational data
       in the  ERG mission, named "erg_load_???", can be also called
       by "iug_load_???", because these data are related to the both
       ERG and IUGONET projects.
       For more information, see http://www.iugonet.org/en/
                             and http://gemsissc.stelab.nagoya-u.ac.jp/erg/
       See the rules of the road.
       For more information, see http://stdb2.stelab.nagoya-u.ac.jp/omti/

     KEYWORDS:
       site  = Observatory name, example, iug_load_camera_omti_asi, site='sgk'.
               The default is 'all', i.e., load all available stations.
               This can be an array of strings, e.g., ['sgk', 'sta']
               or a single string delimited by spaces, e.g., 'sgk sta'.
               Sites: ith rsb trs ath mgd ptk rik sgk sta yng drw ktb syo
       wavelength = Wavelength in Angstrom, i.e., 5577, 6300, 7200, 7774, 5893, etc.
                    The default is 5577. This can be an array of integers, e.g., [5577, 6300]
                    or strings, e.g., '5577', '5577 6300', and ['5577', '6300'].
       /downloadonly, if set, then only download the data, do not load it into variables.
       /no_server, use only files which are online locally.
       /no_download, use only files which are online locally. (Identical to no_server keyword.)
       trange = (Optional) Time range of interest  (2 element array).
       /timeclip, if set, then data are clipped to the time range set by timespan

     EXAMPLE:
       iug_load_camera_omti_asi, site='sgk', wavelength=5577, trange=['2012-01-01/00:00:00','2012-01-02/00:00:00']

     Author: Y. Miyashita, Mar 28, 2013
             ERG-Science Center, STEL, Nagoya Univ.
             erg-sc-core at st4a.stelab.nagoya-u.ac.jp

     Written by: Y.-M Tanaka, Feb. 5, 2014 (ytanaka at nipr.ac.jp)

(See projects/iugonet/load/iug_load_camera_omti_asi.pro)

## IUG_LOAD_EAR

[Previous Routine] [Next Routine] [List of Routines]

    NAME:
    iug_load_ear

    PURPOSE:
      Queries the RISH servers for all the observation data (troposphere and FAI)
      taken by the equatorial atmosphere radar (EAR) and loads data into tplot format.

    SYNTAX:
      iug_load_ear [ ,DATATYPE = string ]
                    [ ,PARAMETERS = string]
                    [ ,TRANGE = [min,max] ]
                    [ ,FILENAMES = string scalar or array ]
                    [ ,<and data keywords below> ]

    KEYWOARDS:
      DATATYPE = The type of data to be loaded. In this load program,
                 DATATYPEs are 'troposphere', 'e_region', 'v_region' etc.

      PARAMETERS (I/O):
        Set to wind parameters.  If not set, 'uwnd' is
          assumed.  Returns cleaned input, or shows default.
      TRANGE (In):
        Pass a time range a la TIME_STRING.PRO.

      /downloadonly, if set, then only download the data, do not load it
                     into variables.
      VERBOSE (In): [1,...,5], Get more detailed (higher number) command line output.

    DATA AVAILABILITY:
      Please check the following homepage of the time schedule of field-aligned irregularity (FAI) observation
      before you analyze the FAI data using this software.
      http://www.rish.kyoto-u.ac.jp/ear/data-fai/index.html#data

    CODE:
    A. Shinbori, 13/05/2010.

    MODIFICATIONS:
    A. Shinbori, 25/11/2010.
    A. Shinbori, 08/11/2011.
    A. Shinbori, 11/05/2011.
    A. Shinbori, 27/05/2011.
    A. Shinbori, 15/06/2011.
    A. Shinbori, 25/07/2011.
    A. Shinbori, 10/01/2014.
    A. Shinbori, 14/05/2017.

    ACKNOWLEDGEMENT:
     $LastChangedBy: nikos $
     $LastChangedDate: 2018-08-01 11:03:38 -0700 (Wed, 01 Aug 2018) $
     $LastChangedRevision: 25538 $
     $URL $

(See projects/iugonet/load/iug_load_ear.pro)

## IUG_LOAD_EAR_IONO_EFR_NC

[Previous Routine] [Next Routine] [List of Routines]

    NAME:
    iug_load_ear_iono_efr_nc

    PURPOSE:
      Queries the Kyoto_RISH servers for the FAI observation data in the NetCDF format
      taken by the equatorial atmosphere radar (EAR) and loads data into
      tplot format.

    SYNTAX:
     iug_load_ear_iono_efr_nc, parameter=parameter, downloadonly=downloadonly, trange=trange, verbose=verbose

    KEYWOARDS:
      PARAMETER = first parameter name of EAR FAI obervation data.
              For example, iug_load_ear_iono_er_nc, parameter = 'efb1p16'.
              The default is 'all', i.e., load all available parameters.
      TRANGE = (Optional) Time range of interest  (2 element array), if
              this is not set, the default is to prompt the user. Note
              that if the input time range is not a full day, a full
              day's data is loaded.
      /downloadonly, if set, then only download the data, do not load it
                     into variables.
      VERBOSE (In): [1,...,5], Get more detailed (higher number) command line output.

    DATA AVAILABILITY:
      Please check the following homepage of the time schedule of field-aligned irregularity (FAI) observation
      before you analyze the FAI data using this software.
      http://www.rish.kyoto-u.ac.jp/ear/data-fai/index.html#data

    CODE:
     A. Shinbori, 19/09/2010.

    MODIFICATIONS:
     A. Shinbori, 24/03/2011.
     A. Shinbori, 09/07/2011.
     A. Shinbori, 31/01/2012.
     A. Shinbori, 17/12/2012.
     A. Shinbori, 08/07/2013.
     A. Shinbori, 19/08/2013.
     A. Shinbori, 24/01/2014.
     A. Shinbori, 08/08/2017.
     A. Shinbori, 30/11/2017.

    ACKNOWLEDGEMENT:
     $LastChangedBy: nikos $
     $LastChangedDate: 2018-08-01 11:03:38 -0700 (Wed, 01 Aug 2018) $
     $LastChangedRevision: 25538 $
     $URL $

(See projects/iugonet/load/iug_load_ear_iono_efr_nc.pro)

## IUG_LOAD_EAR_IONO_EFR_TXT

[Previous Routine] [Next Routine] [List of Routines]

    NAME:
    iug_load_ear_iono_efr_txt

    PURPOSE:
      Queries the Kyoto_RISH servers for the FAI observation data in the CSV format
      taken by the equatorial atmosphere radar (EAR) and loads data into
      tplot format.

    SYNTAX:
     iug_load_ear_iono_efr_txt, parameter1=parameter1, parameter2=parameter2 $
                              downloadonly=downloadonly, trange=trange, verbose=verbose

    KEYWOARDS:
      PARAMETER1 = first parameter name of EAR FAI obervation data.
              For example, iug_load_ear_iono_efr_txt, parameter1 = 'efb1p16'.
              The default is 'all', i.e., load all available parameters.
      PARAMETER2 = second parameter name of EAR FAI obervation data.
              For example, iug_load_ear_iono_efr_txt, parameter2 = 'dpl1'.
              The default is 'all', i.e., load all available parameters.
      TRANGE = (Optional) Time range of interest  (2 element array), if
              this is not set, the default is to prompt the user. Note
              that if the input time range is not a full day, a full
              day's data is loaded.
      /downloadonly, if set, then only download the data, do not load it
                     into variables.
      VERBOSE (In): [1,...,5], Get more detailed (higher number) command line output.

    DATA AVAILABILITY:
      Please check the following homepage of the time schedule of field-aligned irregularity (FAI) observation
      before you analyze the FAI data using this software.
      http://www.rish.kyoto-u.ac.jp/ear/data-fai/index.html#data

    CODE:
     A. Shinbori, 19/09/2010.

    MODIFICATIONS:
     A. Shinbori, 24/03/2011.
     A. Shinbori, 06/10/2011.
     A. Shinbori, 31/01/2012.
     A. Shinbori, 01/08/2013.
     A. Shinbori, 18/08/2013.
     A. Shinbori, 24/01/2014.
     A. Shinbori, 08/08/2017.
     A. Shinbori, 30/11/2017.
     A. Shinbori, 16/02/2018.

    ACKNOWLEDGEMENT:
     $LastChangedBy: nikos $
     $LastChangedDate: 2018-08-01 11:03:38 -0700 (Wed, 01 Aug 2018) $
     $LastChangedRevision: 25538 $
     $URL $

(See projects/iugonet/load/iug_load_ear_iono_efr_txt.pro)

## IUG_LOAD_EAR_IONO_ER_NC

[Previous Routine] [Next Routine] [List of Routines]

    NAME:
    iug_load_ear_iono_er_nc

    PURPOSE:
      Queries the Kyoto_RISH servers for the FAI observation data in the NetCDF format
      taken by the equatorial atmosphere radar (EAR) and loads data into
      tplot format.

    SYNTAX:
     iug_load_ear_iono_er_nc, parameter=parameter, downloadonly=downloadonly, trange=trange, verbose=verbose

    KEYWOARDS:
      PARAMETER = first parameter name of EAR FAI obervation data.
              For example, iug_load_ear_iono_er_nc, parameter1 = 'eb1p2a'.
              The default is 'all', i.e., load all available parameters.
      TRANGE = (Optional) Time range of interest  (2 element array), if
              this is not set, the default is to prompt the user. Note
              that if the input time range is not a full day, a full
              day's data is loaded.
      /downloadonly, if set, then only download the data, do not load it
                     into variables.
      VERBOSE (In): [1,...,5], Get more detailed (higher number) command line output.

    DATA AVAILABILITY:
      Please check the following homepage of the time schedule of field-aligned irregularity (FAI) observation
      before you analyze the FAI data using this software.
      http://www.rish.kyoto-u.ac.jp/ear/data-fai/index.html#data

    CODE:
     A. Shinbori, 19/09/2010.

    MODIFICATIONS:
     A. Shinbori, 24/03/2011.
     A. Shinbori, 09/07/2011.
     A. Shinbori, 31/01/2012.
     A. Shinbori, 17/12/2012.
     A. Shinbori, 08/07/2013.
     A. Shinbori, 18/08/2013.
     A. Shinbori, 24/01/2014.
     A. Shinbori, 30/11/2017.

    ACKNOWLEDGEMENT:
     $LastChangedBy: nikos $
     $LastChangedDate: 2018-08-01 11:03:38 -0700 (Wed, 01 Aug 2018) $
     $LastChangedRevision: 25538 $
     $URL $

(See projects/iugonet/load/iug_load_ear_iono_er_nc.pro)

## IUG_LOAD_EAR_IONO_ER_TXT

[Previous Routine] [Next Routine] [List of Routines]

    NAME:
    iug_load_ear_iono_er_txt

    PURPOSE:
      Queries the Kyoto_RISH servers for the FAI observation data in the CSV format
      taken by the equatorial atmosphere radar (EAR) and loads data into
      tplot format.

    SYNTAX:
     iug_load_ear_iono_er_txt, parameter1=parameter1, parameter2=parameter2 $
                              downloadonly=downloadonly, trange=trange, verbose=verbose

    KEYWOARDS:
      PARAMETER1 = first parameter name of EAR FAI obervation data.
              For example, iug_load_ear_iono_er_txt, parameter = 'eb1p2a'.
              The default is 'all', i.e., load all available parameters.
      PARAMETER2 = second parameter name of EAR FAI obervation data.
              For example, iug_load_ear_iono_er_txt, parameter = 'dpl1'.
              The default is 'all', i.e., load all available parameters.
      TRANGE = (Optional) Time range of interest  (2 element array), if
              this is not set, the default is to prompt the user. Note
              that if the input time range is not a full day, a full
              day's data is loaded.
      /downloadonly, if set, then only download the data, do not load it
                     into variables.
      VERBOSE (In): [1,...,5], Get more detailed (higher number) command line output.

    DATA AVAILABILITY:
      Please check the following homepage of the time schedule of field-aligned irregularity (FAI) observation
      before you analyze the FAI data using this software.
      http://www.rish.kyoto-u.ac.jp/ear/data-fai/index.html#data

    CODE:
     A. Shinbori, 19/09/2010.

    MODIFICATIONS:
     A. Shinbori, 24/03/2011.
     A. Shinbori, 06/10/2011.
     A. Shinbori, 31/01/2012.
     A. Shinbori, 17/12/2012.
     A. Shinbori, 01/08/2013.
     A. Shinbori, 18/08/2013.
     A. Shinbori, 24/01/2014.
     A. Shinbori, 08/08/2017.
     A. Shinbori, 30/11/2017.
     A. Shinbori, 16/02/2018.

    ACKNOWLEDGEMENT:
     $LastChangedBy: nikos $
     $LastChangedDate: 2018-08-01 11:03:38 -0700 (Wed, 01 Aug 2018) $
     $LastChangedRevision: 25538 $
     $URL $

(See projects/iugonet/load/iug_load_ear_iono_er_txt.pro)

## IUG_LOAD_EAR_IONO_FR_NC

[Previous Routine] [Next Routine] [List of Routines]

    NAME:
    iug_load_ear_iono_fr_nc

    PURPOSE:
      Queries the Kyoto_RISH servers for the FAI observation data in the NetCDF format
      taken by the equatorial atmosphere radar (EAR) and loads data into
      tplot format.

    SYNTAX:
     iug_load_ear_iono_fr_nc, parameter=parameter, downloadonly=downloadonly, trange=trange, verbose=verbose

    KEYWOARDS:
      PARAMETER = first parameter name of EAR FAI obervation data.
              For example, iug_load_ear_iono_fr_nc, parameter = 'fb1p16a'.
              The default is 'all', i.e., load all available parameters.
      TRANGE = (Optional) Time range of interest  (2 element array), if
              this is not set, the default is to prompt the user. Note
              that if the input time range is not a full day, a full
              day's data is loaded.
      /downloadonly, if set, then only download the data, do not load it
                     into variables.
      VERBOSE (In): [1,...,5], Get more detailed (higher number) command line output.

    DATA AVAILABILITY:
      Please check the following homepage of the time schedule of field-aligned irregularity (FAI) observation
      before you analyze the FAI data using this software.
      http://www.rish.kyoto-u.ac.jp/ear/data-fai/index.html#data

    CODE:
     A. Shinbori, 19/09/2010.

    MODIFICATIONS:
     A. Shinbori, 24/03/2011.
     A. Shinbori, 09/07/2011.
     A. Shinbori, 01/12/2011.
     A. Shinbori, 31/01/2012.
     A. Shinbori, 17/12/2012.
     A. Shinbori, 18/08/2013.
     A. Shinbori, 24/01/2014.
     A. Shinbori, 08/08/2017.
     A. Shinbori, 30/11/2017.

    ACKNOWLEDGEMENT:
     $LastChangedBy: nikos $
     $LastChangedDate: 2018-08-01 11:03:38 -0700 (Wed, 01 Aug 2018) $
     $LastChangedRevision: 25538 $
     $URL $

(See projects/iugonet/load/iug_load_ear_iono_fr_nc.pro)

## IUG_LOAD_EAR_IONO_FR_TXT

[Previous Routine] [Next Routine] [List of Routines]

    NAME:
    iug_load_ear_iono_fr_txt

    PURPOSE:
      Queries the Kyoto_RISH servers for the FAI observation data in the CSV format
      taken by the equatorial atmosphere radar (EAR) and loads data into
      tplot format.

    SYNTAX:
     iug_load_ear_iono_fr_txt, parameter1=parameter1, parameter2=parameter2 $
                               downloadonly=downloadonly, trange=trange, verbose=verbose

    KEYWOARDS:
      PARAMETER1 = first parameter name of EAR FAI obervation data.
              For example, iug_load_ear_iono_fr_txt, parameter1 = 'fb1p16a'.
              The default is 'all', i.e., load all available parameters.
      PARAMETER2 = second parameter name of EAR FAI obervation data.
              For example, iug_load_ear_iono_fr_txt, parameter2 = 'dpl1'.
              The default is 'all', i.e., load all available parameters.
      TRANGE = (Optional) Time range of interest  (2 element array), if
              this is not set, the default is to prompt the user. Note
              that if the input time range is not a full day, a full
              day's data is loaded.
      /downloadonly, if set, then only download the data, do not load it
                     into variables.
      VERBOSE (In): [1,...,5], Get more detailed (higher number) command line output.

    DATA AVAILABILITY:
      Please check the following homepage of the time schedule of field-aligned irregularity (FAI) observation
      before you analyze the FAI data using this software.
      http://www.rish.kyoto-u.ac.jp/ear/data-fai/index.html#data

    CODE:
     A. Shinbori, 19/09/2010.

    MODIFICATIONS:
     A. Shinbori, 24/03/2011.
     A. Shinbori, 06/10/2011.
     A. Shinbori, 31/01/2012.
     A. Shinbori, 17/12/2012.
     A. Shinbori, 01/08/2013.
     A. Shinbori, 18/08/2013.
     A. Shinbori, 24/01/2014.
     A. Shinbori, 08/08/2017.
     A. Shinbori, 30/11/2017.
     A. Shinbori, 16/02/2018.

    ACKNOWLEDGEMENT:
     $LastChangedBy: nikos $
     $LastChangedDate: 2018-08-01 11:03:38 -0700 (Wed, 01 Aug 2018) $
     $LastChangedRevision: 25538 $
     $URL $

(See projects/iugonet/load/iug_load_ear_iono_fr_txt.pro)

## IUG_LOAD_EAR_IONO_VR_NC

[Previous Routine] [Next Routine] [List of Routines]

    NAME:
    iug_load_ear_iono_vr_nc

    PURPOSE:
      Queries the Kyoto_RISH servers for the FAI observation data in the NetCDF format
      taken by the equatorial atmosphere radar (EAR) and loads data into
      tplot format.

    SYNTAX:
     iug_load_ear_iono_vr_nc, parameter=parameter, $
                              downloadonly=downloadonly, trange=trange, verbose=verbose

    KEYWOARDS:
      PARAMETERS = first parameter name of EAR FAI obervation data.
              For example, iug_load_ear_iono_vr_nc, parameter = 'vb3p4a'.
              The default is 'all', i.e., load all available parameters.
      TRANGE = (Optional) Time range of interest  (2 element array), if
              this is not set, the default is to prompt the user. Note
              that if the input time range is not a full day, a full
              day's data is loaded.
      /downloadonly, if set, then only download the data, do not load it
                     into variables.
      VERBOSE (In): [1,...,5], Get more detailed (higher number) command line output.

    DATA AVAILABILITY:
      Please check the following homepage of the time schedule of field-aligned irregularity (FAI) observation
      before you analyze the FAI data using this software.
      http://www.rish.kyoto-u.ac.jp/ear/data-fai/index.html#data

    CODE:
     A. Shinbori, 19/09/2010.

    MODIFICATIONS:
     A. Shinbori, 24/03/2011.
     A. Shinbori, 09/07/2011.
     A. Shinbori, 31/01/2012.
     A. Shinbori, 17/12/2012.
     A. Shinbori, 24/01/2014.
     A. Shinbori, 08/08/2017.
     A. Shinbori, 29/11/2017.

    ACKNOWLEDGEMENT:
     $LastChangedBy: nikos $
     $LastChangedDate: 2018-08-01 11:03:38 -0700 (Wed, 01 Aug 2018) $
     $LastChangedRevision: 25538 $
     $URL $

(See projects/iugonet/load/iug_load_ear_iono_vr_nc.pro)

## IUG_LOAD_EAR_IONO_VR_TXT

[Previous Routine] [Next Routine] [List of Routines]

    NAME:
    iug_load_ear_iono_vr_txt

    PURPOSE:
      Queries the Kyoto_RISH servers for the FAI observation data in the CSV format
      taken by the equatorial atmosphere radar (EAR) and loads data into
      tplot format.

    SYNTAX:
     iug_load_ear_iono_vr_txt, parameter1=parameter1, parameter2=parameter2 $
                              downloadonly=downloadonly, trange=trange, verbose=verbose

    KEYWOARDS:
      PARAMETER1 = first parameter name of EAR FAI obervation data.
              For example, iug_load_ear_iono_vr_txt, parameter1 = 'vb3p4a'.
              The default is 'all', i.e., load all available parameters.
      PARAMETER2 = second parameter name of EAR FAI obervation data.
              For example, iug_load_ear_iono_vr_txt, parameter2 = 'dpl1'.
              The default is 'all', i.e., load all available parameters.
      TRANGE = (Optional) Time range of interest  (2 element array), if
              this is not set, the default is to prompt the user. Note
              that if the input time range is not a full day, a full
              day's data is loaded.
      /downloadonly, if set, then only download the data, do not load it
                     into variables.
      VERBOSE (In): [1,...,5], Get more detailed (higher number) command line output.

    DATA AVAILABILITY:
      Please check the following homepage of the time schedule of field-aligned irregularity (FAI) observation
      before you analyze the FAI data using this software.
      http://www.rish.kyoto-u.ac.jp/ear/data-fai/index.html#data

    CODE:
     A. Shinbori, 19/09/2010.

    MODIFICATIONS:
     A. Shinbori, 24/03/2011.
     A. Shinbori, 06/10/2011.
     A. Shinbori, 31/01/2012.
     A. Shinbori, 17/12/2012.
     A. Shinbori, 01/08/2013.
     A. Shinbori, 18/08/2013.
     A. Shinbori, 24/01/2014.
     A. Shinbori, 08/08/2017.
     A. Shinbori, 29/11/2017.
     A. Shinbori, 16/02/2018.

    ACKNOWLEDGEMENT:
     $LastChangedBy: nikos $
     $LastChangedDate: 2018-08-01 11:03:38 -0700 (Wed, 01 Aug 2018) $
     $LastChangedRevision: 25538 $
     $URL $

(See projects/iugonet/load/iug_load_ear_iono_vr_txt.pro)

## IUG_LOAD_EAR_TROP_NC

[Previous Routine] [Next Routine] [List of Routines]

    NAME:
    iug_load_ear_trop_nc

    PURPOSE:
      Queries the Kyoto_RISH servers for the standard observation data of troposphere and stratsoohere
      in the netCDF format taken by the equatorial atmosphere radar (EAR) and loads data into
      tplot format.

    SYNTAX:
     iug_load_ear_trop_nc, downloadonly=downloadonly, trange=trange, verbose=verbose

    KEYWOARDS:
      TRANGE = (Optional) Time range of interest  (2 element array), if
              this is not set, the default is to prompt the user. Note
              that if the input time range is not a full day, a full
              day's data is loaded.
      /downloadonly, if set, then only download the data, do not load it
                     into variables.
      VERBOSE (In): [1,...,5], Get more detailed (higher number) command line output.

    CODE:
     A. Shinbori, 19/09/2010.

    MODIFICATIONS:
     A. Shinbori, 24/03/2011.
     A. Shinbori, 13/11/2011.
     A. Shinbori, 31/01/2012.
     A. Shinbori, 18/12/2012.
     A. Shinbori, 24/01/2014.
     A. Shinbori, 08/08/2017.
     A. Shinbori, 30/11/2017.

    ACKNOWLEDGEMENT:
     $LastChangedBy: nikos $
     $LastChangedDate: 2018-08-01 11:03:38 -0700 (Wed, 01 Aug 2018) $
     $LastChangedRevision: 25538 $
     $URL $

(See projects/iugonet/load/iug_load_ear_trop_nc.pro)

## IUG_LOAD_EAR_TROP_TXT

[Previous Routine] [Next Routine] [List of Routines]

    NAME:
    iug_load_ear_trop_txt

    PURPOSE:
      Queries the Kyoto_RISH servers for the standard observation data of troposphere and stratsoohere
      in the CSV format taken by the equatorial atmosphere radar (EAR)and loads data into
      tplot format.

    SYNTAX:
     iug_load_ear_trop_txt, parameter=parameter, $
                            downloadonly=downloadonly, trange=trange, verbose=verbose

    KEYWOARDS:
      PARAMETER = parameter name of EAR troposphere standard obervation data.
              For example, iug_load_ear_trop_txt, parameter = 'uwnd'.
              The default is 'all', i.e., load all available parameters.
      TRANGE = (Optional) Time range of interest  (2 element array), if
              this is not set, the default is to prompt the user. Note
              that if the input time range is not a full day, a full
              day's data is loaded.
      /downloadonly, if set, then only download the data, do not load it
                     into variables.
      VERBOSE (In): [1,...,5], Get more detailed (higher number) command line output.

    CODE:
     A. Shinbori, 19/09/2010.

    MODIFICATIONS:
     A. Shinbori, 24/03/2011.
     A. Shinbori, 13/11/2011.
     A. Shinbori, 26/12/2011.
     A. Shinbori, 31/01/2011.
     A. Shinbori, 18/12/2011.
     A. Shinbori, 24/01/2014.
     A. Shinbori, 08/08/2017.
     A. Shinbori, 30/11/2017.

    ACKNOWLEDGEMENT:
     $LastChangedBy: nikos $
     $LastChangedDate: 2018-08-01 11:03:38 -0700 (Wed, 01 Aug 2018) $
     $LastChangedRevision: 25538 $
     $URL $

(See projects/iugonet/load/iug_load_ear_trop_txt.pro)

## IUG_LOAD_EISCAT

[Previous Routine] [Next Routine] [List of Routines]

     PROCEDURE: IUG_LOAD_EISCAT
       iug_load_eiscat, site=site, $
                        ydatatype=ydatatype, $
                        get_support_data=get_support_data, $
                        trange=trange, $
                        verbose=verbose, $
                        downloadonly=downloadonly, $
                        no_download=no_download

     PURPOSE:
       loads the EISCAT radar data.

     KEYWORDS:
       site  = Combination of observatory and antenna, example,
               iug_load_eiscat, site='esr_42m',
               the default is 'all', i.e., load all available sites.
               Available sites: 'tro_uhf', 'tro_vhf', 'esr_32m', 'esr_42m'.
               This can be an array of strings, e.g., ['esr_32m', 'esr_42m']
               or a single string delimited by spaces, e.g., 'esr_32m esr_42m'.
       ydatatype = data type of y-axis. Default is 'alt', i.e., altitude.
       trange = (Optional) Time range of interest  (2 element array).
       /get_support_data : turn this on to load the supporting data.
       /verbose: set to output some useful info
       /downloadonly: if set, then only download the data, do not load it
               into variables.
       /no_download: use only files which are online locally.

     EXAMPLE:
       iug_load_eiscat, site='esr_42m', $
                     trange=['2011-2-1/00:00:00','2011-2-3/00:00:00']

       For more information, see http://www.iugonet.org/en/
                             and http://polaris.nipr.ac.jp/~eiscat/eiscatdata/

     Written by: Y.-M. Tanaka, July 25, 2011 (ytanaka at nipr.ac.jp)
     Modified by: Y.-M. Tanaka, August 24, 2011
       Separated "print_str_maxlet" to another file.
     Modified by: Y.-M. Tanaka, December 1, 2011
       to load data with various int_times separately to different tplot
       vars.
     Modified by: Y.-M. Tanaka, June 6, 2012
       Integragted all pulse_code and integration_time data for one day
       into a CDF file
     Modified by: Y.-M. Tanaka, August 16, 2013
       Added range data to CDF files.

(See projects/iugonet/load/iug_load_eiscat.pro)

## IUG_LOAD_EISCAT_VIEF

[Previous Routine] [Next Routine] [List of Routines]

     PROCEDURE: IUG_LOAD_EISCAT_VIEF
       iug_load_eiscat_vief, site=site, $
                             get_support_data=get_support_data, $
                             trange=trange, $
                             verbose=verbose, $
                             downloadonly=downloadonly, $
                             no_download=no_download

     PURPOSE:
       loads the EISCAT vector Vi and E field data.

     KEYWORDS:
       site  = site code, example,
               iug_load_eiscat_vief, site='kst',
               the default is 'all', i.e., load all available sites.
               Available sites: 'kst' (kst means Kiruna, Sodankyla, Tromso.)
       trange = (Optional) Time range of interest  (2 element array).
       /get_support_data : turn this on to load the supporting data.
       /verbose: set to output some useful info
       /downloadonly: if set, then only download the data, do not load it
               into variables.
       /no_download: use only files which are online locally.

     OUTPUT
       Vi and E vectors have 3 components, i.e.,
       Vi = [Ve, Vn, Vu] and E = [Ee, En, Eu], where
       [e, n, u] corresponds to [eastward, n:northward, u:upward].

     EXAMPLE:
       iug_load_eiscat_vief, site='kst', $
                     trange=['2011-2-1/00:00:00','2011-2-3/00:00:00']

       For more information, see http://www.iugonet.org/en/
                             and http://polaris.nipr.ac.jp/~eiscat/eiscatdata/

     Written by: Y.-M. Tanaka, August 16, 2013 (ytanaka at nipr.ac.jp)

(See projects/iugonet/load/iug_load_eiscat_vief.pro)

## IUG_LOAD_GMAG_ICSWSE_IAGA

[Previous Routine] [Next Routine] [List of Routines]

    PROCEDURE: IUG_LOAD_GMAG_ICSWSE_IAGA,
      iug_load_gmag_icswse_iaga, site = site, resolution = resolution, $
                          trange = trange, verbose = verbose, $
                          downloadonly = downloadonly, no_download = no_download, $
                          no_server = no_server
    PURPOSE:
      This procedure allows you to download and plot 1-second and 1-minute magnetometer data
      produced by International Center for Space Weather Science and Education, Kyushu University, Japan,
      written in IAGA 2002 data exchange format.

    KEYWORDS:
      site  = Observatory name.  For example, iugo_load_gmag_icswse_iaga, site = 'aae'.
              The default is 'all', i.e., load all available stations.
      resolution = Time resolution. '1sec' for 1 second data, and '1min' for 1 minute data.
                 The default is 'all'.
      trange = (Optional) Time range of interest  (2 element array), if
              this is not set, the default is to prompt the user. Note
              that if the input time range is not a full day, a full
              day's data is loaded.
      /verbose, if set, then output some useful info
      /downloadonly, if set, then only download the data, do not load it
                     into variables.
      /no_server, use only files which are online locally.
      /no_download, use only files which are online locally. (Identical to no_server keyword.)

    EXAMPLE:
      iug_load_gmag_icswse_iaga, site = 'aae', trange = ['2007-01-22/00:00:00','2007-01-24/00:00:00']

    CODE:
      Shuji Abe

    CHANGELOG:
      08-April-2015, abeshu, initial release
      07-February-2018, abeshu, update for official release
      17-February-2018, abeshu, modified header reading

    ACKNOWLEDGMENT:

     $LastChangedBy: nikos $
     $LastChangedDate: 2018-08-01 11:03:38 -0700 (Wed, 01 Aug 2018) $
     $LastChangedRevision: 25538 $
     $URL: svn+ssh://thmsvn@ambrosia.ssl.berkeley.edu/repos/spdsoft/trunk/projects/iugonet/load/iug_load_gmag_icswse_iaga.pro $

(See projects/iugonet/load/iug_load_gmag_icswse_iaga.pro)

## IUG_LOAD_GMAG_ISEE_FLUXGATE

[Previous Routine] [Next Routine] [List of Routines]

     PROCEDURE: iug_load_gmag_isee_fluxgate
       To load the ISEE fluxgate geomagnetic data from the ISEE ERG-SC site

     NOTE: This procedure is a simple alias to "erg_load_gmag_isee_fluxgate"
       and calls the original one by just providing the same
       arguments/keywords given.
       Some load procedures for the ground-based observational data
       in the  ERG mission, named "erg_load_???", can be also called
       by "iug_load_???", because these data are related to the both
       ERG and IUGONET projects.
       For more information, see http://www.iugonet.org/
                             and https://ergsc.isee.nagoya-u.ac.jp/index.shtml.en
       See the rules of the road.
       For more information, see http://stdb2.stelab.nagoya-u.ac.jp/magne/
       and http://www1.osakac.ac.jp/crux/ (for mdm and tew).

     KEYWORDS:
       site  = Observatory name, example, iug_load_gmag_isee_fluxgate, site='msr',
               the default is 'all', i.e., load all available stations.
               This can be an array of strings, e.g., ['msr', 'kag']
               or a single string delimited by spaces, e.g., 'msr kag'.
               Sites for 1 sec data:
                  msr rik kag ktb
               Sites for 1 min/h data:
                  msr rik kag ktb mdm tew
       datatype = Time resolution. '1sec' for 1 sec', '1min' for 1 min, and '1h' for 1 h.
                  The default is 'all'.  If you need two of them, set to 'all'.
       /downloadonly, if set, then only download the data, do not load it into variables.
       /no_server, use only files which are online locally.
       /no_download, use only files which are online locally. (Identical to no_server keyword.)
       trange = (Optional) Time range of interest  (2 element array).
       /timeclip, if set, then data are clipped to the time range set by timespan

     EXAMPLE:
       iug_load_gmag_isee_fluxgate, site='msr kag', datatype='1min', $
           trange=['2003-11-20/00:00:00','2003-11-21/00:00:00']

     Written by: Y.-M Tanaka, Feb. 5, 2014 (ytanaka at nipr.ac.jp)

(See projects/iugonet/load/iug_load_gmag_isee_fluxgate.pro)

## IUG_LOAD_GMAG_ISEE_INDUCTION

[Previous Routine] [Next Routine] [List of Routines]

     PROCEDURE: iug_load_gmag_isee_induction

     PURPOSE:
       To load ISEE induction magnetometer data from the ISEE ERG-SC site

     NOTE:
       This procedure is a simple alias to "erg_load_gmag_isee_induction"
       and calls the original one by just providing the same
       arguments/keywords given.
       Some load procedures for the ground-based observational data
       in the  ERG mission, named "erg_load_???", can be also called
       by "iug_load_???", because these data are related to the both
       ERG and IUGONET projects.
       For more information, see http://www.iugonet.org/
                             and https://ergsc.isee.nagoya-u.ac.jp/index.shtml.en
       See the rules of the road.
       For more information, see http://stdb2.stelab.nagoya-u.ac.jp/magne/

     KEYWORDS:
       site  = Observatory name, example, iug_load_gmag_isee_induction, site='msr',
               the default is 'all', i.e., load all available stations.
               This can be an array of strings, e.g., ['msr', 'sta']
               or a single string delimited by spaces, e.g., 'msr sta'.
               Sites: ath mgd ptk msr sta
       /downloadonly, if set, then only download the data, do not load it into variables.
       /no_server, use only files which are online locally.
       /no_download, use only files which are online locally. (Identical to no_server keyword.)
       trange = (Optional) Time range of interest  (2 element array).
       frequency_dependent = get frequecy-dependent sensitivity and phase difference
                (frequency [Hz], sensitivity (H,D,Z) [V/nT], and phase_difference (H,D,Z) [deg])
       /time_pulse, get time pulse

     EXAMPLE:
       iug_load_gmag_isee_induction, site='msr sta', $
             trange=['2008-02-28/00:00:00','2008-02-28/02:00:00']

     Written by: Y.-M Tanaka, Apr 12, 2013 (ytanaka at nipr.ac.jp)

(See projects/iugonet/load/iug_load_gmag_isee_induction.pro)

## IUG_LOAD_GMAG_MAGDAS_1SEC

[Previous Routine] [Next Routine] [List of Routines]

     PROCEDURE: iug_load_gmag_magdas_1sec

     PURPOSE:
       To load the MAGDAS geomagnetic data from the STEL ERG-SC site

     NOTE: This procedure is a simple alias to "erg_load_gmag_magdas_1sec"
       and calls the original one by just providing the same
       arguments/keywords given.
       Some load procedures for the ground-based observational data
       in the  ERG mission, named "erg_load_???", can be also called
       by "iug_load_???", because these data are related to the both
       ERG and IUGONET projects.
       For more information, see http://www.iugonet.org/en/
                             and http://gemsissc.stelab.nagoya-u.ac.jp/erg/
       See the rules of the road.
       For more information, see http://magdas.serc.kyushu-u.ac.jp/

     KEYWORDS:
       site  = Observatory name, example, iug_load_magdas_1sec, site='asb',
               the default is 'all', i.e., load all available stations.
               This can be an array of strings, e.g., ['asb', 'onw']
               or a single string delimited by spaces, e.g., 'asb onw'.
               Sites for 1 sec data:
                  asb ...
               Sites for 1 min/h data:
                  ...
       datatype = Time resolution. '1sec' for 1 sec', '1min' for 1 min, and '1h' for 1 h.
                  The default is 'all'.  If you need two of them, set to 'all'.
       /downloadonly, if set, then only download the data, do not load it into variables.
       /no_server, use only files which are online locally.
       /no_download, use only files which are online locally. (Identical to no_server keyword.)
       trange = (Optional) Time range of interest  (2 element array).

     EXAMPLE:
       iug_load_gmag_magdas_1sec, site='asb onw', datatype='1sec', $
                            trange=['2003-11-20/00:00:00','2003-11-21/00:00:00']

     Written by: Y.-M Tanaka, Feb. 5, 2014 (ytanaka at nipr.ac.jp)

(See projects/iugonet/load/iug_load_gmag_magdas_1sec.pro)

## IUG_LOAD_GMAG_MM210

[Previous Routine] [Next Routine] [List of Routines]

     PROCEDURE: iug_load_gmag_mm210
       to load the 210 MM geomagnetic data from the STEL ERG-SC site

     NOTE: This procedure is a simple alias to "erg_load_gmag_mm210"
       and calls the original one by just providing the same
       arguments/keywords given.
       Some load procedures for the ground-based observational data
       in the  ERG mission, named "erg_load_???", can be also called
       by "iug_load_???", because these data are related to the both
       ERG and IUGONET projects.
       For more information, see http://www.iugonet.org/en/
                             and http://gemsissc.stelab.nagoya-u.ac.jp/erg/
       See the rules of the road.
       For more information, see http://stdb2.stelab.nagoya-u.ac.jp/mm210/

     KEYWORDS:
       site  = Observatory name, example, iug_load_gmag_mm210, site='rik',
               the default is 'all', i.e., load all available stations.
               This can be an array of strings, e.g., ['rik', 'onw']
               or a single string delimited by spaces, e.g., 'rik onw'.
               Sites:  tik zgn yak irt ppi bji lnp mut ptn wtk
                       lmt kat ktn chd zyk mgd ptk msr rik onw
                       kag ymk cbi gua yap kor ktb bik wew daw
                       wep bsv dal can adl kot cst ewa asa mcq
       datatype = Time resolution. '1min' for 1 min, and '1h' for 1 h.
                  The default is '1min'.
       /downloadonly, if set, then only download the data, do not load it into variables.
       trange = (Optional) Time range of interest  (2 element array).

     EXAMPLE:
       iug_load_gmag_mm210, site='rik onw', datatype='1min', $
                            trange=['2003-11-20/00:00:00','2003-11-21/00:00:00']

     Written by: Y.-M Tanaka, Apr 22, 2010 (ytanaka at nipr.ac.jp)

       $LastChangedBy: nikos $
       $LastChangedDate: 2018-08-01 11:03:38 -0700 (Wed, 01 Aug 2018) $
       $LastChangedRevision: 25538 $
       $URL: svn+ssh://thmsvn@ambrosia.ssl.berkeley.edu/repos/spdsoft/trunk/projects/iugonet/load/iug_load_gmag_mm210.pro $

(See projects/iugonet/load/iug_load_gmag_mm210.pro)

## IUG_LOAD_GMAG_NIPR

[Previous Routine] [Next Routine] [List of Routines]

     PROCEDURE: IUG_LOAD_GMAG_NIPR
       iug_load_gmag_nipr, site = site, $
                         datatype=datatype, $
                         fproton=fproton, $
                         trange=trange, $
                         verbose=verbose, $
                         downloadonly=downloadonly, $
                         no_download=no_download

     PURPOSE:
       Loads the fluxgate magnetometer data obtained by NIPR.

     KEYWORDS:
       site  = Observatory name, example, iug_load_gmag_nipr, site='syo',
               the default is 'all', i.e., load all available stations.
               This can be an array of strings, e.g., ['syo', 'hus']
               or a single string delimited by spaces, e.g., 'syo hus'.
               Available sites: syo hus tjo aed isa
       datatype = Time resolution. Please notice that '1sec' means nearly
               1-sec time resolution. Even if datatype was set to '1sec',
               the time resolution corresponds to
               2sec : syo(1981-1997), hus & tjo(1984-2001/08), isa(1984-1989),
                      aed(1989-1999/10)
               1sec : syo(1997-present)
               0.5sec  : hus & tjo(2001/09-present), aed(2001/09-2008/08)
               At present, '1sec' is only available for datatype.
       fproton = (Optional) if set, then total geomagnetic field intensity
               measured by proton magnetometer will be loaded.
               This option is now available only for syo before 1987/4/14.
       trange = (Optional) Time range of interest  (2 element array).
       /verbose: set to output some useful info
       /downloadonly: if set, then only download the data, do not load it
               into variables.
       /no_download: use only files which are online locally.

     EXAMPLE:
       iug_load_gmag_nipr, site='syo', $
                     trange=['2003-11-20/00:00:00','2003-11-21/00:00:00']

     NOTE: This load procedure was developed by ERG-Science Center and
                IUGONET projects.
                ERG website      http://gemsissc.stelab.nagoya-u.ac.jp/erg/
                IUGONET website  http://www.iugonet.org/en/

     Written by H. Tadokoro, June 1, 2010
     The prototype of this procedure was written by Y. Miyashita, Apr 22, 2010,
            ERG-Science Center, STEL, Nagoya Univ.
     Revised by Y.-M. Tanaka, February 17, 2011 (ytanaka at nipr.ac.jp)
     Added new keyword "fproton" by Y.-M. Tanaka, August 22, 2011
     Changed from the alias to the original load procudure, by Y.-M
             Tanaka, July 24, 2012.
     Added six automated magnetometer network stations to site, by by Y.-M
             Tanaka, December 25, 2013.

(See projects/iugonet/load/iug_load_gmag_nipr.pro)

## IUG_LOAD_GMAG_NIPR_INDUCTION

[Previous Routine] [Next Routine] [List of Routines]

     PROCEDURE: iug_load_gmag_nipr_induction
       to load NIPR induction magnetometer data

     KEYWORDS:
       site  = Observatory name, example, iug_load_gmag_nipr_induction, site='syo',
               the default is 'all', i.e., load all available stations.
               This can be an array of strings, e.g., ['syo', 'hus']
               or a single string delimited by spaces, e.g., 'syo hus'.
               Available sites: syo hus tjo aed isa
       /downloadonly, if set, then only download the data, do not load it into variables.
       /no_server, use only files which are online locally.
       /no_download, use only files which are online locally. (Identical to no_server keyword.)
       trange = (Optional) Time range of interest  (2 element array).
       frequency_dependent = get frequecy-dependent sensitivity
                (frequency [Hz] and sensitivity (H,D,Z) [Vp-p])

     EXAMPLE:
       iug_load_gmag_nipr_induction, site='syo', $
             trange=['2008-02-28/00:00:00','2008-02-28/02:00:00']

     Written by: Y. Miyashita, Jan 23, 2011
                 ERG-Science Center, STEL, Nagoya Univ.
                 erg-sc-core at st4a.stelab.nagoya-u.ac.jp
     Revised for NIPR data by Y. Sato, August 6, 2012 (sato.yuka at nipr.ac.jp)

(See projects/iugonet/load/iug_load_gmag_nipr_induction.pro)

## IUG_LOAD_GMAG_STEL_FLUXGATE

[Previous Routine] [Next Routine] [List of Routines]

     PROCEDURE: iug_load_gmag_stel_fluxgate
       To load the ISEE fluxgate geomagnetic data from the ISEE ERG-SC site

     NOTE: This procedure is a simple alias to "erg_load_gmag_isee_fluxgate"
       and calls the original one by just providing the same
       arguments/keywords given.
       Some load procedures for the ground-based observational data
       in the  ERG mission, named "erg_load_???", can be also called
       by "iug_load_???", because these data are related to the both
       ERG and IUGONET projects.
       For more information, see http://www.iugonet.org/
                             and https://ergsc.isee.nagoya-u.ac.jp/index.shtml.en
       See the rules of the road.
       For more information, see http://stdb2.stelab.nagoya-u.ac.jp/magne/
       and http://www1.osakac.ac.jp/crux/ (for mdm and tew).

     KEYWORDS:
       site  = Observatory name, example, iug_load_gmag_stel_fluxgate, site='msr',
               the default is 'all', i.e., load all available stations.
               This can be an array of strings, e.g., ['msr', 'kag']
               or a single string delimited by spaces, e.g., 'msr kag'.
               Sites for 1 sec data:
                  msr rik kag ktb
               Sites for 1 min/h data:
                  msr rik kag ktb mdm tew
       datatype = Time resolution. '1sec' for 1 sec', '1min' for 1 min, and '1h' for 1 h.
                  The default is 'all'.  If you need two of them, set to 'all'.
       /downloadonly, if set, then only download the data, do not load it into variables.
       /no_server, use only files which are online locally.
       /no_download, use only files which are online locally. (Identical to no_server keyword.)
       trange = (Optional) Time range of interest  (2 element array).
       /timeclip, if set, then data are clipped to the time range set by timespan

     EXAMPLE:
       iug_load_gmag_stel_fluxgate, site='msr kag', datatype='1min', $
           trange=['2003-11-20/00:00:00','2003-11-21/00:00:00']

     Written by: Y.-M Tanaka, Feb. 5, 2014 (ytanaka at nipr.ac.jp)

(See projects/iugonet/load/iug_load_gmag_stel_fluxgate.pro)

## IUG_LOAD_GMAG_STEL_INDUCTION

[Previous Routine] [Next Routine] [List of Routines]

     PROCEDURE: iug_load_gmag_stel_induction

     PURPOSE:
       To load ISEE induction magnetometer data from the ISEE ERG-SC site

     NOTE:
       This procedure is a simple alias to "erg_load_gmag_isee_induction"
       and calls the original one by just providing the same
       arguments/keywords given.
       Some load procedures for the ground-based observational data
       in the  ERG mission, named "erg_load_???", can be also called
       by "iug_load_???", because these data are related to the both
       ERG and IUGONET projects.
       For more information, see http://www.iugonet.org/
                             and https://ergsc.isee.nagoya-u.ac.jp/index.shtml.en
       See the rules of the road.
       For more information, see http://stdb2.stelab.nagoya-u.ac.jp/magne/

     KEYWORDS:
       site  = Observatory name, example, iug_load_gmag_stel_induction, site='msr',
               the default is 'all', i.e., load all available stations.
               This can be an array of strings, e.g., ['msr', 'sta']
               or a single string delimited by spaces, e.g., 'msr sta'.
               Sites: ath mgd ptk msr sta
       /downloadonly, if set, then only download the data, do not load it into variables.
       /no_server, use only files which are online locally.
       /no_download, use only files which are online locally. (Identical to no_server keyword.)
       trange = (Optional) Time range of interest  (2 element array).
       frequency_dependent = get frequecy-dependent sensitivity and phase difference
                (frequency [Hz], sensitivity (H,D,Z) [V/nT], and phase_difference (H,D,Z) [deg])
       /time_pulse, get time pulse

     EXAMPLE:
       iug_load_gmag_stel_induction, site='msr sta', $
             trange=['2008-02-28/00:00:00','2008-02-28/02:00:00']

     Written by: Y.-M Tanaka, Apr 12, 2013 (ytanaka at nipr.ac.jp)

(See projects/iugonet/load/iug_load_gmag_stel_induction.pro)

## IUG_LOAD_GMAG_WDC

[Previous Routine] [Next Routine] [List of Routines]

    PROCEDURE: IUG_LOAD_GMAG_WDC
     iug_load_gmag_wdc, site=site, $
                            trange=trange, $
                            resolution = resolution, $
                            level=level, $
                            verbose=verbose, $
                            addmaster=addmaster, $
                            downloadonly=downloadonly, $
                            no_download=no_download

    PURPOSE:
      Loading geomag data in WDC format from WDC for Geomag Kyoto.

    KEYWORDS:
      site  = Station ABB code or name of geomagnetic index.
              Ex1) iug_load_gmag_wdc, site = 'kak', ...
              Ex2) iug_load_gmag_wdc, site = ['dst', 'ae'], ...
              If you skip this option, AE Dst SYM/ASY and KAK data are retrieved.
      trange= (Optional) Time range of interest  (2 element array), if
              this is not set, the default is to prompt the user. Note
              that if the input time range is not a full month, a full
              month's data is loaded.
      reolution = Time resolution of the data: 'min' or 'hour',
              default set to 'min' for AE index and geomag data.
      level = The level of the data, the default is 'final' for geomag data.
              For AE and Dst index, the default is ['final', 'provsional'].
      /verbose : set to output some useful info.
      /addmaster, if set, then times = [!values.d_nan, times]
      /downloadonly, if set, then only download the data, do not load it
                     into variables.
      no_download: use only files which are online locally.

    EXAMPLE:
       timespan, '2007-01-22',1,/days
       iug_load_gmag_wdc, site = 'ae', resolution = 'min'

    NOTES:
      At WDC Kyoto, data service for TDAS clients is beta testing.
      Please check the data catalog at http://wdc-data.iugonet.org/.

    Written by:  Daiki Yoshida,  Aug 2010
    Updated:  Yukinobu KOYAMA,  Oct 21, 2011
    Last Updated Shun Imajo, Apr, 26, 2017

(See projects/iugonet/load/iug_load_gmag_wdc.pro)

## IUG_LOAD_GMAG_WDC_CREATE_TPLOT_VARS

[Previous Routine] [Next Routine] [List of Routines]

    Procedure: IUG_LOAD_GMAG_WDC_CREATE_TPLOT_VARS
     iug_load_gmag_wdc_create_tplot_vars, $
        sname = sname, $
        element = element, $
        resolution = res, $
        level = level, $
        tplot_name, $
        tplot_ytitle, tplot_ysubtitle, tplot_labels, $
        tplot_colors, tplot_dlimit

    Notes:
      This procedure is called from load procedures for WDC format data,
      'iug_load_gmag_wdc*' provided by WDC Kyoto.

    Written by:  Daiki Yoshida,  Aug 2010
    Updated by:  Daiki Yoshida,  Sep 14, 2010
    Updated by:  Daiki Yoshida,  Nov 12, 2010
    Updated by:  Daiki Yoshida,  Jan 11, 2011
    Updated by:  Yukinobu KOYAMA, Jan 21, 2012
    Updated by:  Shun Imajo, Aug 23,2021

(See projects/iugonet/load/iug_load_gmag_wdc_create_tplot_vars.pro)

## IUG_LOAD_GMAG_WDC_QDDAYS

[Previous Routine] [Next Routine] [List of Routines]

    FUNCTION: IUG_LOAD_GMAG_WDC_QDDAYS
     function iug_load_gmag_wdc_qddays, $
        trange=trange, $
        verbose=verbose, $
        downloadonly=downloadonly, $
        no_download=no_download

    Purpose:
      Load date list of International 5/10 quietest days
      and International 5 disturbed days from WDC Kyoto.

    Keywords:
      trange= (Optional) Time range of interest  (2 element array), if
              this is not set, the default is to prompt the user. Note
              that if the input time range is not a full month, a full
              month's data is loaded
      /verbose : set to output some useful info
      /downloadonly, if set, then only download the data, do not load it
                     into variables.
      no_download: use only files which are online locally.

    Example:
      THEMIS> timespan, '2001-1-1'
      THEMIS> qdays = iug_load_gmag_wdc_qddays(/no_download)
      THEMIS> help, qdays, /str
      QDAYS            INT       = Array[12, 12]
      THEMIS> print, qdays[0,*]
       2001       1       1      30       6       2      19      18      27       7       5       9

    Notes:
      International Q-Days and D-Days are now derived by
      GeoForschungsZentrum (GFZ) Potsdam from Kp index.
      reference: https://wdc.kugi.kyoto-u.ac.jp/qddays/index.html

    Written by:  Daiki Yoshida,  Aug 2010
    Last Updated:  Daiki Yoshida,  Jan 11, 2010

(See projects/iugonet/load/iug_load_gmag_wdc_qddays.pro)

## IUG_LOAD_GMAG_WDC_RELPATH

[Previous Routine] [Next Routine] [List of Routines]

    Function: IUG_LOAD_GMAG_WDC_RELPATH
    function iug_load_gmag_wdc_relpath, sname = sname, $
                                        trange = trange, $
                                        resolution = res, $
                                        level = level, $
                                        addmaster = addmaster, $
                                        _extra = _extra

    Purpose:
      create relpath string from abb code

    Notes:
      This procedure is called from load procedures for WDC format data,
      'iug_load_gmag_wdc*' provided by WDC Kyoto.

    Written by:  Daiki Yoshida,  Aug 2010
    Updated by:  Daiki Yoshida,  Sep 14, 2010

(See projects/iugonet/load/iug_load_gmag_wdc_relpath.pro)

## IUG_LOAD_GMAG_WDC_RELPATH_TO_YEAR

[Previous Routine] [Next Routine] [List of Routines]

    Function: IUG_LOAD_GMAG_WDC_RELPATH_TO_YEAR
    function iug_load_gmag_wdc_relpath_to_year

    Purpose:
      get year from data path string

    Notes:
      This procedure is called from load procedures for WDC format data,
      'iug_load_gmag_wdc*' provided by WDC Kyoto.

    Written by:  Daiki Yoshida,  Aug 2010
    Updated by:  Daiki Yoshida,  Sep 14, 2010

(See projects/iugonet/load/iug_load_gmag_wdc_relpath_to_year.pro)

## IUG_LOAD_GMAG_WDC_VSNAMES

[Previous Routine] [Next Routine] [List of Routines]

    Function: IUG_LOAD_GMAG_WDC_VSNAMES
    function iug_load_gmag_wdc_vsnames

    Purpose:
      return valid site names for WDC data.

    Notes:
      This procedure is called from load procedures for WDC format data,
      'iug_load_gmag_wdc*' provided by WDC Kyoto.
      WDC station list was provided at online data catalogue:
      https://wdc.kugi.kyoto-u.ac.jp/catmap/obs.html

    Todo:
      1) Modify to read station-list file.
      2) Modify to get station-list files from cgi or mdb via file_transfer.

    Written by:  Daiki Yoshida,  Sep 14, 2010

(See projects/iugonet/load/iug_load_gmag_wdc_vsnames.pro)

## IUG_LOAD_GMAG_WDC_WDCHR

[Previous Routine] [Next Routine] [List of Routines]

    Procedure: IUG_LOAD_GMAG_WDC_WDCHR
    pro iug_load_gmag_wdc_wdchr, $
        site = site, $
        trange = trange, $
        verbose = verbose, $
        level = level, $
        addmaster = addmaster, $
        downloadonly = downloadonly, $
        no_download = no_download

    Purpose:
      Loading geomag hourly mean data in WDC format from WDC for Geomag Kyoto.

    Notes:
      This procedure is called from 'iug_load_gmag_wdc' provided by WDC Kyoto.
      References about Dst index and WDC hourly means record format:
      https://wdc.kugi.kyoto-u.ac.jp/hyplt/format/wdchrformat.html
      https://wdc.kugi.kyoto-u.ac.jp/dstae/format/dstformat.html

    Written by:  Daiki Yoshida,  Aug 2010
    Updated by:  Daiki Yoshida,  Sep 14, 2010
    Updated by:  Daiki Yoshida,  Sep 28, 2010
    Updated by:  Daiki Yoshida,  Nov 12, 2010
    Updated by:  Daiki Yoshida,  Jan 11, 2011
    Updated by:  Daiki Yoshida,  Mar 1, 2011

(See projects/iugonet/load/iug_load_gmag_wdc_wdchr.pro)

## IUG_LOAD_GMAG_WDC_WDCMIN

[Previous Routine] [Next Routine] [List of Routines]

    Procedure: IUG_LOAD_GMAG_WDC_WDCMIN
    pro iug_load_gmag_wdc_wdcmin, $
        site = site, $
        trange = trange, $
        verbose = verbose, $
        level = level, $
        addmaster = addmaster, $
        downloadonly = downloadonly, $
        no_download = no_download

    Purpose:
      Loading geomag 1-min record data in WDC format from WDC for Geomag Kyoto.

    Notes:
      This procedure is called from 'iug_load_gmag_wdc' provided by WDC Kyoto.
      References about WDC 1-min record, ASY/SYM index and AE index record format:
      https://wdc.kugi.kyoto-u.ac.jp/mdplt/format/wdcformat.html
      https://wdc.kugi.kyoto-u.ac.jp/aeasy/format/asyformat.html
      https://wdc.kugi.kyoto-u.ac.jp/aeasy/format/aeformat.html

    Written by:  Daiki Yoshida,  Aug 2010
    Updated by:  Daiki Yoshida,  Sep 13, 2010
    Updated by:  Daiki Yoshida,  Sep 28, 2010
    Updated by:  Daiki Yoshida,  Nov 12, 2010
    Updated by:  Daiki Yoshida,  Jan 11, 2011
    Updated by:  Daiki Yoshida,  Mar 1, 2011
    Updated by:  Yukinobu KOYAMA, Jan 21, 2011
    Last Updated by:  Shun Imajo, Apr 26, 2017

(See projects/iugonet/load/iug_load_gmag_wdc_wdcmin.pro)

## IUG_LOAD_GMAG_WDC_WP_INDEX

[Previous Routine] [Next Routine] [List of Routines]

    PROCEDURE: iug_load_gmag_wdc_wp_index
      iug_load_gmag_wdc_wp_index,trange = trange, $
                          downloadonly = downloadonly, no_download = no_download, $
                          no_server = no_server
    PURPOSE:
      This procedure get Wp index and the number of available station.

    KEYWORDS:
      trange = (Optional) Time range of interest  (2 element array), if
              this is not set, the default is to prompt the user. Note
              that if the input time range is not a full day, a full
              day's data is loaded.
      /downloadonly, if set, then only download the data, do not load it
                     into variables.
      /no_server, use only files which are online locally.
      /no_download, use only files which are online locally. (Identical to no_server keyword.)

    EXAMPLE:
      iug_load_gmag_wdc_wp_index, trange = ['2007-01-22/00:00:00','2007-01-24/00:00:00']

    CODE:
      Shun Imajo

    CHANGELOG:
      21-March-2017, Imajo. first version.
      20-Octber-2021, Imajo. first modify remote data location.

    ACKNOWLEDGMENT:

     $LastChangedBy: jwl $
     $LastChangedDate: 2021-10-29 15:15:32 -0700 (Fri, 29 Oct 2021) $
     $LastChangedRevision: 30388 $
     $URL: svn+ssh://thmsvn@ambrosia.ssl.berkeley.edu/repos/spdsoft/trunk/projects/iugonet/load/iug_load_gmag_wdc_wp_index.pro $

(See projects/iugonet/load/iug_load_gmag_wdc_wp_index.pro)

## IUG_LOAD_GPS_ATEC

[Previous Routine] [Next Routine] [List of Routines]

    NAME:
    iug_load_gps_atec

    PURPOSE:
      Queries the ISEE servers for the absolute value of GPS TEC (Total Electron Content) data
      provided from ISEE and and loads data into tplot format.

    SYNTAX:
    iug_load_gps_atec_isee, downloadonly=downloadonly, trange=trange, verbose=verbose

    KEYWOARDS:
      trange = (Optional) Time range of interest  (2 element array), if
              this is not set, the default is to prompt the user. Note
              that if the input time range is not a full day, a full
              day's data is loaded.
      /downloadonly, if set, then only download the data, do not load it
                     into variables.

    CODE:
     A. Shinbori, 01/10/2021.

    MODIFICATIONS:
     A. Shinbori, 06/10/2021.

    ACKNOWLEDGEMENT:
     $LastChangedBy:  $
     $LastChangedDate:  $
     $LastChangedRevision:  $
     $URL $

(See projects/iugonet/load/iug_load_gps_atec.pro)

## IUG_LOAD_GPS_CHAMP_FSI_NC

[Previous Routine] [Next Routine] [List of Routines]

    NAME:
    iug_load_gps_champ_fsi_nc

    PURPOSE:
      Queries the Kyoto_RISH servers for the GPS-CHAMP radio occultation FSI data in the netCDF format
      provided by UCAR and loads data into tplot format.

    SYNTAX:
     iug_load_gps_champ_fsi_nc, downloadonly=downloadonly, trange=trange, verbose=verbose

    KEYWOARDS:
      TRANGE = (Optional) Time range of interest  (2 element array), if
              this is not set, the default is to prompt the user. Note
              that if the input time range is not a full day, a full
              day's data is loaded.
      /downloadonly, if set, then only download the data, do not load it
                     into variables.
      VERBOSE (In): [1,...,5], Get more detailed (higher number) command line output.

    CODE:
     A. Shinbori, 14/05/2016.

    MODIFICATIONS:

    ACKNOWLEDGEMENT:
     $LastChangedBy: nikos $
     $LastChangedDate: 2018-08-01 11:03:38 -0700 (Wed, 01 Aug 2018) $
     $LastChangedRevision: 25538 $
     $URL $

(See projects/iugonet/load/iug_load_gps_champ_fsi_nc.pro)

## IUG_LOAD_GPS_COSMIC_FSI_NC

[Previous Routine] [Next Routine] [List of Routines]

    NAME:
    iug_load_gps_cosmic_fsi_nc

    PURPOSE:
      Queries the Kyoto_RISH servers for the GPS-COSMIC radio occultation FSI data in the netCDF format
      provided by UCAR and loads data into tplot format.

    SYNTAX:
     iug_load_gps_cosmic_fsi_nc, downloadonly=downloadonly, trange=trange, verbose=verbose

    KEYWOARDS:
      TRANGE = (Optional) Time range of interest  (2 element array), if
              this is not set, the default is to prompt the user. Note
              that if the input time range is not a full day, a full
              day's data is loaded.
      /downloadonly, if set, then only download the data, do not load it
                     into variables.
      VERBOSE (In): [1,...,5], Get more detailed (higher number) command line output.

    CODE:
     A. Shinbori, 14/05/2016.

    MODIFICATIONS:

    ACKNOWLEDGEMENT:
     $LastChangedBy: nikos $
     $LastChangedDate: 2018-08-01 11:03:38 -0700 (Wed, 01 Aug 2018) $
     $LastChangedRevision: 25538 $
     $URL $

(See projects/iugonet/load/iug_load_gps_cosmic_fsi_nc.pro)

## IUG_LOAD_GPS_ISEE

[Previous Routine] [Next Routine] [List of Routines]

    NAME:
    iug_load_gps_isee

    PURPOSE:
      Queries the ISEE servers for the GPS TEC (Total Electron Content) data
      provided from ISEE and and loads data into tplot format.

    SYNTAX:
     iug_load_gps_isee, site=site, downloadonly=downloadonly, trange=trange, verbose=verbose

    KEYWOARDS:
      DATATYPE = The type of data to be loaded. In this load program,
                 DATATYPEs are 'atec'. In future, 'dtec' and 'roti' will be added.

      TRANGE = (Optional) Time range of interest  (2 element array), if
              this is not set, the default is to prompt the user. Note
              that if the input time range is not a full day, a full
              day's data is loaded.
      /downloadonly, if set, then only download the data, do not load it
                     into variables.
      VERBOSE : [1,...,5], Get more detailed (higher number) command line output.

    CODE:
      A. Shinbori, 06/10/2021.

    MODIFICATIONS:

    ACKNOWLEDGEMENT:
     $LastChangedBy:  $
     $LastChangedDate: $
     $LastChangedRevision:  $
     $URL $

(See projects/iugonet/load/iug_load_gps_isee.pro)

## IUG_LOAD_GPS_RO_RISH

[Previous Routine] [Next Routine] [List of Routines]

    NAME:
    iug_load_gps_ro_rish

    PURPOSE:
      Queries the Kyoto_RISH servers for the GPS radio occultation FSI data in the netCDF format
      provided by UCAR and loads data into tplot format.

    SYNTAX:
     iug_load_gps_ro_rish, site=site, downloadonly=downloadonly, trange=trange, verbose=verbose

    KEYWOARDS:
       SITE  = Observatory code name.  For example, iug_load_gps_ro_rish, site = 'champ'.
               The default is 'all', i.e., load all available stations.
      TRANGE = (Optional) Time range of interest  (2 element array), if
              this is not set, the default is to prompt the user. Note
              that if the input time range is not a full day, a full
              day's data is loaded.
      /downloadonly, if set, then only download the data, do not load it
                     into variables.
      VERBOSE: [1,...,5], Get more detailed (higher number) command line output.

    CODE:
     A. Shinbori, 14/05/2016.

    MODIFICATIONS:

    ACKNOWLEDGEMENT:
     $LastChangedBy: nikos $
     $LastChangedDate: 2018-08-01 11:03:38 -0700 (Wed, 01 Aug 2018) $
     $LastChangedRevision: 25538 $
     $URL $

(See projects/iugonet/load/iug_load_gps_ro_rish.pro)

## IUG_LOAD_HF_TOHOKUU

[Previous Routine] [Next Routine] [List of Routines]

     PROCEDURE: iug_load_hf_tohokuu

     PURPOSE:
       To load the Jupiter's/solar wide band spectral data in HF-band

     KEYWORDS:
       site  = Observatory name. Only 'iit' is allowed.
       parameter = The polarization of the radiowave.
                   'RH' for right handed, and 'LH' for left handed.
       /downloadonly, if set, then only download the data, do not load it into variables.
       /no_download: use only files which are online locally.
       trange = (Optional) Time range of interest  (2 element array).

     EXAMPLE:
       iug_load_hf_tohokuU, parameter='RH', $
                            trange=['2004-01-09/22:00:00','2004-01-09/23:00:00']

     NOTE: See the rules of the road.
           For more information, see http://ariel.gp.tohoku.ac.jp/~jupiter/

     Written by: M.Yagi, Oct 2, 2012
                 PPARC, Tohoku Univ.

       $LastChangedBy: jwl $
       $LastChangedDate: 2021-10-29 15:15:32 -0700 (Fri, 29 Oct 2021) $
       $URL:

(See projects/iugonet/load/iug_load_hf_tohokuu.pro)

## IUG_LOAD_IONOSONDE_RISH

[Previous Routine] [Next Routine] [List of Routines]

    NAME:
    iug_load_ionosonde_rish

    PURPOSE:
      Queries the RISH server for the ionogram data taken by the ionosonde
      at Shigaraki and loads data into tplot format.

    SYNTAX:
     iug_load_ionosonde_rish, site=site, fixed_freq = fixed_freq, $
                        downloadonly=downloadonly, trange=trange, verbose=verbose

    KEYWOARDS:
      SITE = Ionosonde observation site.
             For example, iug_load_ionosonde_rish, site = 'sgk'.
             The default is 'all', i.e., load all available observation points.
      /fixed_freq, if set, then tplot variables for every fixed frequency (2-18 MHZ) are created.
      TRANGE = (Optional) Time range of interest  (2 element array), if
              this is not set, the default is to prompt the user. Note
              that if the input time range is not a full day, a full
              day's data is loaded.
      /downloadonly, if set, then only download the data, do not load it
                     into variables.
      VERBOSE: [1,...,5], Get more detailed (higher number) command line output.

    CODE:
      A. Shinbori, 24/10/2012.

    MODIFICATIONS:
      A. Shinbori, 12/11/2012.
      A. Shinbori, 18/12/2012.
      A. Shinbori, 09/01/2013.
      A. Shinbori, 18/02/2013.
      A. Shinbori, 24/01/2014.
      A. Shinbori, 08/08/2017.
      A. Shinbori, 30/11/2017.

    ACKNOWLEDGEMENT:
     $LastChangedBy: nikos $
     $LastChangedDate: 2018-08-01 11:03:38 -0700 (Wed, 01 Aug 2018) $
     $LastChangedRevision: 25538 $
     $URL $

(See projects/iugonet/load/iug_load_ionosonde_rish.pro)

## IUG_LOAD_IPRT

[Previous Routine] [Next Routine] [List of Routines]

    Procedure: iug_load_iprt,
      iug_load_iprt, datatype = datatype, $
               trange = trange, verbose = verbose, $
               downloadonly = downloadonly
    Purpose:
      This procedure allows you to download and plot TOHOKUU_RADIO OBSERVATION data on TDAS.
      This is a sample code for IUGONET analysis software.

    Keywords:
      datatype = The type of data to be loaded.  In this sample
                 procedure, there is only one option, the default value of 'Sun'.
      trange = (Optional) Time range of interest  (2 element array), if
              this is not set, the default is to prompt the user. Note
              that if the input time range is not a full day, a full
              day's data is loaded.
      /verbose, if set, then output some useful info
      /downloadonly, if set, then only download the data, do not load it
                     into variables.

     PROCEDURES USED:
      fits_read, sxpar, fits_open, fits_close, gettok, sxdelpar, sxaddpar, valid_num
      For the use of this procedure, get FITS I/O procedures from
      the IDL Astronomy Library (http://idlastro.gsfc.nasa.gov/fitsio.html).
      You can download these procedures by running get_fitslib.

    Example:
     timespan,'2010-11-03',1,/hours
      iug_load_iprt
      tplot_names
      zlim,'iprt_sun_L',20,120
      zlim,'iprt_sun_R',20,120
      tplot,['iprt_sun_L','iprt_sun_R']

    Code:
      Shuji Abe, revised by M. Kagitani

    ChangeLog:
      7-April-2010, abeshu, test release.
      8-April-2010, abeshu, minor update.
      27-JUL.-2010, revised for this procedure by M. Kagitani
      12-NOV.-2010, revised by M. Kagitani
      25-NOV.-2010, renamed to 'iug_load_iprt.pro' by M. Kagitani
      22-JAN.-2014, revised by M. Yagi
      22-NOV.-2017, revised by F. Tsuchiya
      26-MAR.-2020, revised by F. Tsuchiya (swap definition of databufR for databufL)

    Acknowledgment:

     $URL: svn+ssh://thmsvn@ambrosia.ssl.berkeley.edu/repos/spdsoft/trunk/projects/iugonet/load/iug_load_iprt.pro $

(See projects/iugonet/load/iug_load_iprt.pro)

## IUG_LOAD_IPRT_HIGHRES

[Previous Routine] [Next Routine] [List of Routines]

    Procedure: iug_load_iprt_highres,
      iug_load_iprt_highres, datatype = datatype, numbit=numbit, version=version, $
               trange = trange, verbose = verbose, $
               downloadonly = downloadonly
    Purpose:
      This procedure allows you to download and plot TOHOKUU_RADIO OBSERVATION data on TDAS.
      This is a sample code for IUGONET analysis software.

    Keywords:
      datatype = The type of data to be loaded.  In this sample
                 procedure, there is only one option, the default value of 'Sun'.
      trange = (Optional) Time range of interest  (2 element array), if
              this is not set, the default is to prompt the user. Note
              that if the input time range is not a full day, a full
              day's data is loaded.
      /verbose, if set, then output some useful info
      /downloadonly, if set, then only download the data, do not load it
                     into variables.

     PROCEDURES USED:
      fits_read, sxpar, fits_open, fits_close, gettok, sxdelpar, sxaddpar, valid_num
      For the use of this procedure, get FITS I/O procedures from
      the IDL Astronomy Library (http://idlastro.gsfc.nasa.gov/fitsio.html).
      You can download these procedures by running get_fitslib.

    Example:
     timespan,'2010-11-03',1,/hours
      iug_load_iprt
      tplot_names
      zlim,'iprt_sun_L',20,120
      zlim,'iprt_sun_R',20,120
      tplot,['iprt_sun_L','iprt_sun_R']

    Code:
      Shuji Abe, revised by M. Kagitani

    ChangeLog:
      7-April-2010, abeshu, test release.
      8-April-2010, abeshu, minor update.
      27-JUL.-2010, revised for this procedure by M. Kagitani
      12-NOV.-2010, revised by M. Kagitani
      25-NOV.-2010, renamed to 'iug_load_iprt.pro' by M. Kagitani
      22-JAN.-2014, revised by M. Yagi
      22-NOV.-2017, revised by F. Tsuchiya

    Acknowledgment:

     $URL: svn+ssh://thmsvn@ambrosia.ssl.berkeley.edu/repos/spdsoft/tags/spedas_2_00/projects/iugonet/load/iug_load_iprt.pro $

(See projects/iugonet/load/iug_load_iprt_highres.pro)

## IUG_LOAD_IRIO_NIPR

[Previous Routine] [Next Routine] [List of Routines]

     PROCEDURE: IUG_LOAD_IRIO_NIPR
       iug_load_irio_nipr, site = site, $
                         datatype=datatype, $
                         trange=trange, $
                         verbose=verbose, $
                         downloadonly=downloadonly, $
                         no_download=no_download

     PURPOSE:
       Loads the imaging riometer data obtained by NIPR.

     KEYWORDS:
       site  = Observatory name, example, iug_load_irio_nipr, site='syo',
               the default is 'all', i.e., load all available stations.
               This can be an array of strings, e.g., ['syo', 'hus']
               or a single string delimited by spaces, e.g., 'syo hus'.
               Available sites as of April, 2013 : syo
       datatype = observation frequency in MHz for imaging riometer
               At present, '30' or '38' is only available for datatype.
       trange = (Optional) Time range of interest  (2 element array).
       /verbose: set to output some useful info
       /downloadonly: if set, then only download the data, do not load it
               into variables.
       /no_download: use only files which are online locally.

     EXAMPLE:
       iug_load_irio_nipr, site='syo', $
                     trange=['2003-11-20/00:00:00','2003-11-21/00:00:00']

     Written by Y.-M. Tanaka, December, 2012 (ytanaka at nipr.ac.jp)

(See projects/iugonet/load/iug_load_irio_nipr.pro)

## IUG_LOAD_ISEE_BRIO

[Previous Routine] [Next Routine] [List of Routines]

     PROCEDURE: IUG_LOAD_ISEE_BRIO

     PURPOSE:
       Loads the broadbeam riometer data obtained from ISEE riometer network.

     NOTE: This procedure is a simple alias to "erg_load_isee_brio"
       and calls the original one by just providing the same
       arguments/keywords given.
       Some load procedures for the ground-based observational data
       in the  ERG mission, named "erg_load_???", can be also called
       by "iug_load_???", because these data are related to the both
       ERG and IUGONET projects.
       For more information, see http://www.iugonet.org/
                             and https://ergsc.isee.nagoya-u.ac.jp/index.shtml.en
       See the rules of the road.

     KEYWORDS:
       site  = Observatory name, example, iug_load_brio_isee, site='',
               the default is 'all', i.e., load all available stations.
               This can be an array of strings, e.g., ['ath', 'hus']
               or a single string delimited by spaces, e.g., 'ath hus'.
               Available sites as of July, 2017 : ath, kap, gak, hus
       trange = (Optional) Time range of interest  (2 element array).
       /verbose: set to output some useful info
       /downloadonly: if set, then only download the data, do not load it
               into variables.
       /no_download: use only files which are online locally.

     EXAMPLE:
       iug_load_isee_brio, site='ath', $
                     trange=['2017-03-20/00:00:00','2017-03-21/00:00:00']

     Written by: Y.-M Tanaka, Dec. 1, 2017 (ytanaka at nipr.ac.jp)

(See projects/iugonet/load/iug_load_isee_brio.pro)

## IUG_LOAD_ISEE_VLF

[Previous Routine] [Next Routine] [List of Routines]

     PROCEDURE: IUG_LOAD_ISEE_VLF

     PURPOSE:
       To load VLF spectrum data obtained by ISEE ELF/VLF network from the ISEE ERG-SC site

     NOTE: This procedure is a simple alias to "erg_load_isee_vlf"
       and calls the original one by just providing the same
       arguments/keywords given.
       Some load procedures for the ground-based observational data
       in the  ERG mission, named "erg_load_???", can be also called
       by "iug_load_???", because these data are related to the both
       ERG and IUGONET projects.
       For more information, see http://www.iugonet.org/
                             and https://ergsc.isee.nagoya-u.ac.jp/index.shtml.en
       See the rules of the road.
       For more information, see http://stdb2.isee.nagoya-u.ac.jp/vlf/

     KEYWORDS:
       site  = Observatory name, example, iug_load_isee_vlf, site='ath',
               the default is 'all', i.e., load all available stations.
               This can be an array of strings, e.g., ['ath', 'kap']
               or a single string delimited by spaces, e.g., 'ath kap'.
               Available sites as of July, 2017 : ath, kap
       downloadonly : if set, then only download the data, do not load it into variables.
       no_server : use only files which are online locally.
       no_download : use only files which are online locally. (Identical to no_server keyword.)
       trange : Time range of interest  (2 element array).
       timeclip :  if set, then data are time clipped.

       cal_gain : if set, frequency-dependent gain of the antenna system is calibrated.
                  The unit of gain G(f) is V/T, and calibrated spectral power P(f)
                  at frequecy f is computed as

                   P(f) = S(f)/ (G(f)^2) [nT^2/Hz],

                  where S(f) is uncaibrated spectral power in unit of V^2/Hz.

     EXAMPLE:
       iug_load_isee_vlf, site='ath', $
             trange=['2015-03-17/00:00:00','2015-03-17/02:00:00']

     Written by: Y.-M Tanaka, Dec. 1, 2017 (ytanaka at nipr.ac.jp)

(See projects/iugonet/load/iug_load_isee_vlf.pro)

## IUG_LOAD_KYUSHUGCM

[Previous Routine] [Next Routine] [List of Routines]

     PROCEDURE: IUG_LOAD_KYUSHUGCM
       iug_load_kyushugcm, datatype=datatype, $
                         calmethod=calmethod, $
                         altitutde=altitude, $
                         trange=trange, $
                         verbose=verbose, $
                         downloadonly=downloadonly, $
                         no_download=no_download, $
                         selparam_idx=selparam_idx, $
                         selparam_dat=selparam_dat, $
                         newname=newname

     PURPOSE:
       Loads the Kyushu GCM simulation data.

     KEYWORDS:
       datatype = output physical quantity.
               T: temperature
               U: zonal wind
               V: meridional wind
               W: Vertical wind
       calmethod = option of the calculation method.
               j3: use JRA data as the boundary condition and
                   the number of altitude grid is 150.
                   Now, only j3 is available.

       altitude: If set, altitude is in km. Otherwise, pressure (in hPa) is used.
       trange = (Optional) Time range of interest  (2 element array).
       /verbose: set to output some useful info
       /downloadonly: if set, then only download the data, do not load it
               into variables.
       /no_download: use only files which are online locally.
       selparam_idx: a vector with 3 elements to identify the loaded component
               when converting 3D data to 2D or 1D data.
               1st element: geographic latitude
               2nd: geographic longitude
               3rd: altitude
               For example, a vector [0, 0, 1] means that the altitude profile
               is loaded.
       selparam_dat: a vector with 3 elements to identify the position
               when converting 3D data to 2D or 1D data.
               1st element: geographic latitude
               2nd: geographic longitude
               3rd: altitude
               For example, if selparam_idx=[0,0,1], selparam_dat=[35., 135., 0.]
               means that an altitude profile at glat=35 and glon=135 is loaded.
       newname: if set, then the loaded tplot variable is renamed to newname.
               This keyword is available only when selparam_idx is set.

     EXAMPLE:
       iug_load_kyushugcm, datatype='t'

     NOTE: See the rules of the road.
           The simulation data are 3D and have a large file size (about 100MB).
           The large file size may cause long download time and out of memory
           depending on the situation.

     Written by Y.-M. Tanaka, Aug.16, 2013 (ytanaka at nipr.ac.jp)

(See projects/iugonet/load/iug_load_kyushugcm.pro)

## IUG_LOAD_LFRTO

[Previous Routine] [Next Routine] [List of Routines]

     PROCEDURE: iug_load_lfrto

     PURPOSE:
       To load the Low Frequency Radio Transmitter Observation data from the Tohoku University site

     KEYWORDS:
       site  = Observatory name, example, iug_load_lfrto, site='ath',
               the default is 'ath', athabasca station.
               This can be an array of strings, e.g., ['ath', 'nal']
               or a single string delimited by spaces, e.g., 'ath nal'.
               Sites:  ath nal
       trans = Transmitter code, example, iug_load_lfrto, trans='wwvb',
               the default is 'all', i.e., load all available transmitter.
               This can be an array of strings, e.g., ['wwvb', 'ndk']
               or a single string delimited by spaces, e.g., 'wwvb ndk'.
               Transmitter:  wwvb ndk nlk npm nau nrk nwc msf dcf
       parameter = Parameter name.
                   'power' or 'pow' for amplitude.
                   'phase' or 'pha' for phase.
       datatype  = Time resolution. '30sec' or '30s' for 30 sec.
                   The default is '30sec'.
       /downloadonly, if set, then only download the data, do not load it into variables.
       /no_download: use only files which are online locally.
       /verbose : set to output some useful info
       trange = (Optional) Time range of interest  (2 element array).

     EXAMPLE:
       iug_load_lfrto, site='ath', datatype='30sec', $
                            trange=['2011-05-29/00:00:00','2011-05-30/00:00:00']

     NOTE: See the rules of the road.
           For more information, see http://iprt.gp.tohoku.ac.jp/

     NAMING CONVENTIONS:
           lfrto_[site]_[trans]_[parameter+datatype]
           ex. lfrto_ath_wwvb_pow30s

     Written by: M.Yagi, Oct 2, 2012
                 PPARC, Tohoku Univ.

       $LastChangedBy: nikos $
       $LastChangedDate: 2018-08-01 11:03:38 -0700 (Wed, 01 Aug 2018) $
       $URL:

(See projects/iugonet/load/iug_load_lfrto.pro)

## IUG_LOAD_LTR_RISH

[Previous Routine] [Next Routine] [List of Routines]

    NAME:
    iug_load_ltr_rish

    PURPOSE:
      Queries the Kyoto_RISH servers for the observation data (uwnd, vwnd, wwnd, pwr1-5, wdt1-5)
      in the CSV format taken by the L-band lower troposphere radar (LTR) and loads data into
      tplot format.

    SYNTAX:
     iug_load_ltr_rish, site=site, parameter=parameter, $
                        downloadonly=downloadonly, trange=trange, verbose=verbose

    KEYWOARDS:
       SITE = LTR observation site.
              For example, iug_load_ltr_rish, site = 'sgk'.
              The default is 'all', i.e., load all available observation points.
      PARAMETER = For example, iug_load_ltr_rish, parameter = 'uwnd'.
              The default is 'all', i.e., load all available parameters.
      TRANGE = (Optional) Time range of interest  (2 element array), if
              this is not set, the default is to prompt the user. Note
              that if the input time range is not a full day, a full
              day's data is loaded.
      /downloadonly, if set, then only download the data, do not load it
                     into variables.
      VERBOSE: [1,...,5], Get more detailed (higher number) command line output.

    CODE:
     A. Shinbori, 09/19/2010.

    MODIFICATIONS:
     A. Shinbori, 03/24/2011.
     A. Shinbori, 12/26/2011.
     A. Shinbori, 31/01/2012.
     A. Shinbori, 10/02/2012.
     A. Shinbori, 18/12/2012.
     A. Shinbori, 24/01/2014.
     A. Shinbori, 08/08/2017.
     A. Shinbori, 30/11/2017.

    ACKNOWLEDGEMENT:
     $LastChangedBy: nikos $
     $LastChangedDate: 2018-08-01 11:03:38 -0700 (Wed, 01 Aug 2018) $
     $LastChangedRevision: 25538 $
     $URL $

(See projects/iugonet/load/iug_load_ltr_rish.pro)

## IUG_LOAD_METEOR_BIK_NC

[Previous Routine] [Next Routine] [List of Routines]

    NAME:
    iug_load_meteor_bik_nc

    PURPOSE:
      Queries the RISH servers for the meteor data (netCDF format) taken by
      the meteor wind radar (MWR) at Biak and loads data into tplot format.

    SYNTAX:
     iug_load_meteor_bik_nc, parameter = parameter, length = length, downloadonly = downloadonly, $
                               trange = trange, verbose=verbose

    KEYWOARDS:
      LENGTH = Data length '1-day' or '1-month'. For example, iug_load_meteor_bik_nc, length = '1_day'.
               A kind of parameters is 2 types of '1_day', and '1_month'.
     PARAMETER = Data parameter. For example, iug_load_meteor_bik_nc, parameter = 'h2t60min00'.
                 A kind of parameters is 4 types of 'h2t60min00', 'h2t60min00', 'h4t60min00', 'h4t60min00'.
                 The default is 'all'.
      TRANGE = (Optional) Time range of interest  (2 element array), if
              this is not set, the default is to prompt the user. Note
              that if the input time range is not a full day, a full
              day's data is loaded.
      /downloadonly, if set, then only download the data, do not load it
                     into variables.
      VERBOSE: [1,...,5], Get more detailed (higher number) command line output.

    CODE:
     A. Shinbori, 23/09/2012.

    MODIFICATIONS:
     A. Shinbori, 24/01/2014.

    ACKNOWLEDGEMENT:
     $LastChangedBy: nikos $
     $LastChangedDate: 2018-08-01 11:03:38 -0700 (Wed, 01 Aug 2018) $
     $LastChangedRevision: 25538 $
     $URL $

(See projects/iugonet/load/iug_load_meteor_bik_nc.pro)

## IUG_LOAD_METEOR_BIK_TXT

[Previous Routine] [Next Routine] [List of Routines]

    NAME:
    iug_load_meteor_bik_txt

    PURPOSE:
      Queries the Kyoto_RISH servers for the horizontal wind data (uwnd, vwnd, uwndsig, vwndsig, mwnum)
      in the text format taken by the meteor wind radar (MWR) at Biak and loads data into
      tplot format.

    SYNTAX:
     iug_load_meteor_ktb_bik, parameter = parameter, length = length, downloadonly = downloadonly, $
                               trange = trange, verbose=verbose

    KEYWOARDS:
      LENGTH = Data length '1-day' or '1-month'. For example, iug_load_meteor_bik_txt, length = '1_day'.
               A kind of parameters is 2 types of '1_day', and '1_month'.
      PARAMETER = Data parameter. For example, iug_load_meteor_bik_txt, parameter = 'h2t60min00'.
                  A kind of parameters is 4 types of 'h2t60min00', 'h2t60min00', 'h4t60min00', 'h4t60min00'.
                  The default is 'all'.
      TRANGE = (Optional) Time range of interest  (2 element array), if
              this is not set, the default is to prompt the user. Note
              that if the input time range is not a full day, a full
              day's data is loaded.
      /downloadonly, if set, then only download the data, do not load it
                     into variables.
      VERBOSE: [1,...,5], Get more detailed (higher number) command line output.

    CODE:
     A. Shinbori, 15/07/2011.

    MODIFICATIONS:
     A. Shinbori, 19/01/2013.
     A. Shinbori, 24/01/2014.

    ACKNOWLEDGEMENT:
     $LastChangedBy: nikos $
     $LastChangedDate: 2018-08-01 11:03:38 -0700 (Wed, 01 Aug 2018) $
     $LastChangedRevision: 25538 $
     $URL $

(See projects/iugonet/load/iug_load_meteor_bik_txt.pro)

## IUG_LOAD_METEOR_KTB_NC

[Previous Routine] [Next Routine] [List of Routines]

    NAME:
    iug_load_meteor_ktb_nc

    PURPOSE:
      Queries the RISH servers for the meteor data (netCDF format) taken by
      the meteor wind radar (MWR) at Kototabang and loads data into tplot format.

    SYNTAX:
     iug_load_meteor_ktb_nc, parameter = parameter, length = length, downloadonly = downloadonly, $
                               trange = trange, verbose=verbose

    KEYWOARDS:
      LENGTH = Data length '1-day' or '1-month'. For example, iug_load_meteor_ktb_nc, length = '1_day'.
               A kind of parameters is 2 types of '1_day', and '1_month'.
     PARAMETER = Data parameter. For example, iug_load_meteor_ktb_nc, parameter = 'h2t60min00'.
                 A kind of parameters is 4 types of 'h2t60min00', 'h2t60min00', 'h4t60min00', 'h4t60min00'.
                 The default is 'all'.
      TRANGE = (Optional) Time range of interest  (2 element array), if
              this is not set, the default is to prompt the user. Note
              that if the input time range is not a full day, a full
              day's data is loaded.
      /downloadonly, if set, then only download the data, do not load it
                     into variables.
      VERBOSE: [1,...,5], Get more detailed (higher number) command line output.

    CODE:
     A. Shinbori, 19/09/2010.

    MODIFICATIONS:
     A. Shinbori, 24/03/2011.
     A. Shinbori, 11/07/2011.
     A. Shinbori, 06/10/2011.
     A. Shinbori, 27/12/2011.
     A. Shinbori, 31/01/2012.
     A. Shinbori, 28/05/2012.
     A. Shinbori, 12/06/2012.
     A. Shinbori, 25/07/2012.
     A. Shinbori, 18/12/2012.
     A. Shinbori, 24/01/2014.

    ACKNOWLEDGEMENT:
     $LastChangedBy: nikos $
     $LastChangedDate: 2018-08-01 11:03:38 -0700 (Wed, 01 Aug 2018) $
     $LastChangedRevision: 25538 $
     $URL $

(See projects/iugonet/load/iug_load_meteor_ktb_nc.pro)

## IUG_LOAD_METEOR_KTB_TXT

[Previous Routine] [Next Routine] [List of Routines]

    NAME:
    iug_load_meteor_ktb_txt

    PURPOSE:
      Queries the RISH servers for the meteor observation data (text format) taken by
      the meteor wind radar (MWR) at Kototabang and loads data into tplot format.

    SYNTAX:
     iug_load_meteor_ktb_txt, parameter = parameter, length = length, downloadonly = downloadonly, $
                               trange = trange, verbose=verbose

    KEYWOARDS:
      LENGTH = Data length '1-day' or '1-month'. For example, iug_load_meteor_ktb_txt, length = '1_day'.
               A kind of parameters is 2 types of '1_day', and '1_month'.
      PARAMETER = Data parameter. For example, iug_load_meteor_ktb_txt, parameter = 'h2t60min00'.
                  A kind of parameters is 4 types of 'h2t60min00', 'h2t60min00', 'h4t60min00', 'h4t60min00'.
                  The default is 'all'.
      TRANGE = (Optional) Time range of interest  (2 element array), if
              this is not set, the default is to prompt the user. Note
              that if the input time range is not a full day, a full
              day's data is loaded.
      /downloadonly, if set, then only download the data, do not load it
                     into variables.
      VERBOSE: [1,...,5], Get more detailed (higher number) command line output.

    CODE:
     A. Shinbori, 19/09/2010.

    MODIFICATIONS:
     A. Shinbori, 24/03/2011.
     A. Shinbori, 11/07/2011.
     A. Shinbori, 06/10/2011.
     A. Shinbori, 27/12/2011.
     A. Shinbori, 31/01/2012.
     A. Shinbori, 07/02/2012.
     A. Shinbori, 28/05/2012.
     A. Shinbori, 12/06/2012.
     A. Shinbori, 18/12/2012.
     A. Shinbori, 24/01/2014.

    ACKNOWLEDGEMENT:
     $LastChangedBy: nikos $
     $LastChangedDate: 2018-08-01 11:03:38 -0700 (Wed, 01 Aug 2018) $
     $LastChangedRevision: 25538 $
     $URL $

(See projects/iugonet/load/iug_load_meteor_ktb_txt.pro)

## IUG_LOAD_METEOR_NIPR

[Previous Routine] [Next Routine] [List of Routines]

     PROCEDURE: IUG_LOAD_METEOR_NIPR
       iug_load_meteor_nipr, site = site, trange = trange, $
           get_support_data = get_support_data, verbose = verbose, $
           downloadonly = downloadonly, no_download = no_download

     PURPOSE:
       loads meteor radar data of NIPR

     KEYWORDS:
       site  = Observatory name.  For example, iug_load_meteor_nipr, site = 'tro'.
       trange = (Optional) Time range of interest  (2 element array).
       /verbose: set to output some useful info
       /downloadonly: if set, then only download the data, do not load it
               into variables.
       /no_download: use only files which are online locally.

     EXAMPLE:
       iug_load_meteor_nipr, site = 'tro', trange = ['2007-01-22/00:00:00','2007-01-24/00:00:00']

     NOTE:
       The meteor radar data obtained by NIPR is now not online.

     Written by: Y.-M. Tanaka, July 25, 2011 (ytanaka at nipr.ac.jp)
     Revised by: Y.-M. Tanaka, December 19, 2013 (ytanaka at nipr.ac.jp)

(See projects/iugonet/load/iug_load_meteor_nipr.pro)

## IUG_LOAD_METEOR_RISH

[Previous Routine] [Next Routine] [List of Routines]

    NAME:
    iug_load_meteor_rish

    PURPOSE:
      Queries the RISH servers for the meteor observation data (netCDF format) taken by
      the meteor wind radar (MWR) at Kototabang and Serpong and loads data into tplot format.

    SYNTAX:
     iug_load_meteor_rish, site=site, parameter = parameter, $
                           downloadonly=downloadonly, trange=trange, verbose=verbose

    KEYWOARDS:
       SITE  = Observatory code name.  For example, iug_load_meteor_rish, site = 'ktb'.
               The default is 'all', i.e., load all available stations.
      LENGTH = Data length '1-day' or '1-month'. For example, iug_load_meteor_rish, length = '1_day'.
               A kind of parameters is 2 types of '1_day', and '1_month'.
     PARAMETER = Data parameter. For example, iug_load_meteor_rish, parameter = 'h2t60min00'.
                 A kind of parameters is 5 types of 'h2t60min00', 'h2t60min30', 'h4t60min00', 'h4t60min00', 'h4t240min00'.
                 The default is 'h2t60min00'.
      TRANGE = (Optional) Time range of interest  (2 element array), if
              this is not set, the default is to prompt the user. Note
              that if the input time range is not a full day, a full
              day's data is loaded.
      /downloadonly, if set, then only download the data, do not load it
                     into variables.
      VERBOSE: [1,...,5], Get more detailed (higher number) command line output.

    CODE:
     A. Shinbori, 19/09/2010.

    MODIFICATIONS:
     A. Shinbori, 24/03/2011.
     A. Shinbori, 11/05/2011.
     A. Shinbori, 28/05/2012.
     A. Shinbori, 24/07/2012.
     A. Shinbori, 19/01/2013.
     A. Shinbori, 16/05/2013.
     A. Shinbori, 08/01/2014.

    ACKNOWLEDGEMENT:
     $LastChangedBy: nikos $
     $LastChangedDate: 2018-08-01 11:03:38 -0700 (Wed, 01 Aug 2018) $
     $LastChangedRevision: 25538 $
     $URL $

(See projects/iugonet/load/iug_load_meteor_rish.pro)

## IUG_LOAD_METEOR_SGK_NC

[Previous Routine] [Next Routine] [List of Routines]

    NAME:
    iug_load_meteor_sgk_nc

    PURPOSE:
      Queries the RISH servers for the meteor data (netCDF format) taken by
      the meteor wind radar (MWR) at Shigaraki MU Observatory and loads data into tplot format.

    SYNTAX:
     iug_load_meteor_sgk_nc, parameter = parameter, length = length, downloadonly = downloadonly, $
                             trange = trange, verbose=verbose

    KEYWOARDS:
      LENGTH = Data length '1-day' or '1-month'. For example, iug_load_meteor_sgk_nc, length = '1_day'.
               A kind of parameters is 2 types of '1_day', and '1_month'.
     PARAMETER = Data parameter. For example, iug_load_meteor_sgk_nc, parameter = 'h2t60min00'.
                 A kind of parameters is 4 types of 'h2t60min00', 'h2t60min00', 'h4t60min00', 'h4t60min00'.
                 The default is 'all'.
      TRANGE = (Optional) Time range of interest  (2 element array), if
              this is not set, the default is to prompt the user. Note
              that if the input time range is not a full day, a full
              day's data is loaded.
      /downloadonly, if set, then only download the data, do not load it
                     into variables.
      VERBOSE: [1,...,5], Get more detailed (higher number) command line output.

    CODE:
     A. Shinbori, 16/05/2013.

    MODIFICATIONS:
     A. Shinbori, 10/01/2014.
     A. Shinbori, 03/02/2014.
     A. Shinbori, 09/08/2017.
     A. Shinbori, 29/11/2017.

    ACKNOWLEDGEMENT:
     $LastChangedBy: nikos $
     $LastChangedDate: 2018-08-01 11:03:38 -0700 (Wed, 01 Aug 2018) $
     $LastChangedRevision: 25538 $
     $URL $

(See projects/iugonet/load/iug_load_meteor_sgk_nc.pro)

## IUG_LOAD_METEOR_SGK_TXT

[Previous Routine] [Next Routine] [List of Routines]

    NAME:
    iug_load_meteor_sgk_txt

    PURPOSE:
      Queries the RISH servers for the meteor observation data (text format) taken by
      the meteor wind radar (MWR) at Shigaraki MU Observatory and loads data into tplot format.

    SYNTAX:
     iug_load_meteor_sgk_txt, parameter = parameter, length = length, downloadonly = downloadonly, $
                              trange = trange, verbose=verbose

    KEYWOARDS:
      LENGTH = Data length '1-day' or '1-month'. For example, iug_load_meteor_sgk_txt, length = '1_day'.
               A kind of parameters is 2 types of '1_day', and '1_month'.
      PARAMETER = Data parameter. For example, iug_load_meteor_sgk_txt, parameter = 'h2t60min00'.
                  A kind of parameters is 4 types of 'h2t60min00', 'h2t60min00', 'h4t60min00', 'h4t60min00'.
                  The default is 'all'.
      TRANGE = (Optional) Time range of interest  (2 element array), if
              this is not set, the default is to prompt the user. Note
              that if the input time range is not a full day, a full
              day's data is loaded.
      /downloadonly, if set, then only download the data, do not load it
                     into variables.
      VERBOSE: [1,...,5], Get more detailed (higher number) command line output.

    CODE:
     A. Shinbori, 16/05/2013.

    MODIFICATIONS:
     A. Shinbori, 10/01/2014.
     A. Shinbori, 24/01/2014.
     A. Shinbori, 09/08/2014.
     A. Shinbori, 29/11/2017.

    ACKNOWLEDGEMENT:
     $LastChangedBy: nikos $
     $LastChangedDate: 2018-08-01 11:03:38 -0700 (Wed, 01 Aug 2018) $
     $LastChangedRevision: 25538 $
     $URL $

(See projects/iugonet/load/iug_load_meteor_sgk_txt.pro)

## IUG_LOAD_METEOR_SRP_NC

[Previous Routine] [Next Routine] [List of Routines]

    NAME:
    iug_load_meteor_srp_nc

    PURPOSE:
      Queries the RISH servers for the meteor data (netCDF format) taken by
      the meteor wind radar (MWR) at Serpong and loads data into tplot format.

    SYNTAX:
     iug_load_meteor_srp_nc, parameter = parameter, length = length, downloadonly = downloadonly, $
                             trange = trange, verbose=verbose

    KEYWOARDS:
      LENGTH = Data length '1-day' or '1-month'. For example, iug_load_meteor_srp_nc, length = '1_day'.
               A kind of parameters is 2 types of '1_day', and '1_month'.
      PARAMETER = Data parameter. For example, iug_load_meteor_srp_nc, parameter = 'h2t60min00'.
                 A kind of parameters is 2 types of 'h2t60min00', 'h4t60min00'.
                 The default is 'all'.
      TRANGE = (Optional) Time range of interest  (2 element array), if
              this is not set, the default is to prompt the user. Note
              that if the input time range is not a full day, a full
              day's data is loaded.
      /downloadonly, if set, then only download the data, do not load it
                     into variables.
      VERBOSE: [1,...,5], Get more detailed (higher number) command line output.

    CODE:
     A. Shinbori, 19/09/2010.

    MODIFICATIONS:
     A. Shinbori, 24/03/2011.
     A. Shinbori, 11/07/2011.
     A. Shinbori, 06/10/2011.
     A. Shinbori, 27/12/2011.
     A. Shinbori, 31/01/2012.
     A. Shinbori, 28/05/2012.
     A. Shinbori, 12/06/2012.
     A. Shinbori, 25/07/2012.
     A. Shinbori, 18/12/2012.
     A. Shinbori, 24/01/2014.
     A. Shinbori, 09/08/2017.
     A. Shinbori, 29/11/2017.

    ACKNOWLEDGEMENT:
     $LastChangedBy: nikos $
     $LastChangedDate: 2018-08-01 11:03:38 -0700 (Wed, 01 Aug 2018) $
     $LastChangedRevision: 25538 $
     $URL $

(See projects/iugonet/load/iug_load_meteor_srp_nc.pro)

## IUG_LOAD_METEOR_SRP_TXT

[Previous Routine] [Next Routine] [List of Routines]

    NAME:
    iug_load_meteor_srp_txt

    PURPOSE:
      Queries the RISH servers for the meteor data (text format) taken by
      the meteor wind radar (MWR) at Serpong and loads data into tplot format.

    SYNTAX:
     iug_load_meteor_srp_txt, parameter = parameter, length=length, downloadonly = downloadonly, $
                              trange = trange, verbose=verbose

    KEYWOARDS:
      LENGTH = Data length '1-day' or '1-month'. For example, iug_load_meteor_srp_txt, length = '1_day'.
               A kind of parameters is 2 types of '1_day', and '1_month'.
      PARAMETER = Data parameter. For example, iug_load_meteor_srp_txt, parameter = 'h2t60min00'.
                  A kind of parameters is 4 types of 'h2t60min00', 'h2t60min00', 'h4t60min00', 'h4t60min00'.
                  The default is 'all'.
      TRANGE = (Optional) Time range of interest  (2 element array), if
              this is not set, the default is to prompt the user. Note
              that if the input time range is not a full day, a full
              day's data is loaded.
      /downloadonly, if set, then only download the data, do not load it
                     into variables.
      VERBOSE: [1,...,5], Get more detailed (higher number) command line output.

    CODE:
     A. Shinbori, 19/09/2010.

    MODIFICATIONS:
     A. Shinbori, 24/03/2011.
     A. Shinbori, 11/07/2011.
     A. Shinbori, 06/10/2011.
     A. Shinbori, 27/12/2011.
     A. Shinbori, 31/01/2012.
     A. Shinbori, 07/02/2012.
     A. Shinbori, 28/05/2012.
     A. Shinbori, 12/06/2012.
     A. Shinbori, 18/12/2012.
     A. Shinbori, 24/01/2014.
     A. Shinbori, 09/08/2017.
     A. Shinbori, 30/11/2017.

    ACKNOWLEDGEMENT:
     $LastChangedBy: nikos $
     $LastChangedDate: 2018-08-01 11:03:38 -0700 (Wed, 01 Aug 2018) $
     $LastChangedRevision: 25538 $
     $URL $

(See projects/iugonet/load/iug_load_meteor_srp_txt.pro)

## IUG_LOAD_MF_RISH

[Previous Routine] [Next Routine] [List of Routines]

    NAME:
    iug_load_mf_rish

    PURPOSE:
      Queries the Kyoto_RISH servers for the observation data (uwind, vwind, wwind)
      in the NetCDF format taken by the MF radar at Pameungpeuk and loads data into
      tplot format.

    SYNTAX:
     iug_load_mf_rish, site=site, downloadonly=downloadonly, trange=trange, verbose=verbose

    KEYWOARDS:
       SITE  = Observatory code name.  For example, iug_load_mf_rish, site = 'pam'.
              The default is 'all', i.e., load all available stations.
      TRANGE = (Optional) Time range of interest  (2 element array), if
              this is not set, the default is to prompt the user. Note
              that if the input time range is not a full day, a full
              day's data is loaded.
      /downloadonly, if set, then only download the data, do not load it
                     into variables.
      VERBOSE: [1,...,5], Get more detailed (higher number) command line output.

    CODE:
     A. Shinbori, 09/19/2010.

    MODIFICATIONS:
     A. Shinbori, 03/24/2011.
     A. Shinbori, 02/04/2013.
     A. Shinbori, 08/01/2014.

    ACKNOWLEDGEMENT:
     $LastChangedBy: nikos $
     $LastChangedDate: 2018-08-01 11:03:38 -0700 (Wed, 01 Aug 2018) $
     $LastChangedRevision: 25538 $
     $URL $

(See projects/iugonet/load/iug_load_mf_rish.pro)

## IUG_LOAD_MF_RISH_PAM_BIN

[Previous Routine] [Next Routine] [List of Routines]

    NAME:
    iug_load_mf_rish_pam_bin

    PURPOSE:
      Queries the Kyoto_RISH servers for the observation data (uwind, vwind, wwind)
      in the binary format (SSWMA) taken by the MF radar at Pameungpeuk and loads data into
      tplot format.

    SYNTAX:
     iug_load_mf_rish_pam_bin, downloadonly=downloadonly, trange=trange, verbose=verbose

    KEYWOARDS:
      TRANGE = (Optional) Time range of interest  (2 element array), if
              this is not set, the default is to prompt the user. Note
              that if the input time range is not a full day, a full
              day's data is loaded.
      /downloadonly, if set, then only download the data, do not load it
                     into variables.
      VERBOSE: [1,...,5], Get more detailed (higher number) command line output.

    CODE:
     A. Shinbori, 09/19/2010.

    MODIFICATIONS:
     A. Shinbori, 03/24/2011.
     A. Shinbori, 27/12/2011.
     A. Shinbori, 24/12/2011.
     A. Shinbori, 24/01/2014.

    ACKNOWLEDGEMENT:
     $LastChangedBy: nikos $
     $LastChangedDate: 2018-08-01 11:03:38 -0700 (Wed, 01 Aug 2018) $
     $LastChangedRevision: 25538 $
     $URL $

(See projects/iugonet/load/iug_load_mf_rish_pam_bin.pro)

## IUG_LOAD_MF_RISH_PAM_NC

[Previous Routine] [Next Routine] [List of Routines]

    NAME:
    iug_load_mf_rish_pam_nc

    PURPOSE:
      Queries the Kyoto_RISH servers for the observation data (uwind, vwind, wwind)
      in the NetCDF format taken by the MF radar at Pameungpeuk and loads data into
      tplot format.

    SYNTAX:
     iug_load_mf_rish_pam_nc, downloadonly=downloadonly, trange=trange, verbose=verbose

    KEYWOARDS:
      TRANGE = (Optional) Time range of interest  (2 element array), if
              this is not set, the default is to prompt the user. Note
              that if the input time range is not a full day, a full
              day's data is loaded.
      /downloadonly, if set, then only download the data, do not load it
                     into variables.
      VERBOSE: [1,...,5], Get more detailed (higher number) command line output.

    CODE:
     A. Shinbori, 09/19/2010.

    MODIFICATIONS:
     A. Shinbori, 03/24/2011.
     A. Shinbori, 27/12/2011.
     A. Shinbori, 31/10/2012.
     A. Shinbori, 24/12/2012.
     A. Shinbori, 24/01/2014.

    ACKNOWLEDGEMENT:
     $LastChangedBy: nikos $
     $LastChangedDate: 2018-08-01 11:03:38 -0700 (Wed, 01 Aug 2018) $
     $LastChangedRevision: 25538 $
     $URL $

(See projects/iugonet/load/iug_load_mf_rish_pam_nc.pro)

## IUG_LOAD_MF_RISH_PON_NC

[Previous Routine] [Next Routine] [List of Routines]

    NAME:
    iug_load_mf_rish_pon_nc

    PURPOSE:
      Queries the Kyoto_RISH servers for the observation data (uwind, vwind, wwind)
      in the NetCDF format taken by the MF radar at Pontianak and loads data into
      tplot format.

    SYNTAX:
     iug_load_mf_rish_pon_nc, downloadonly=downloadonly, trange=trange, verbose=verbose

    KEYWOARDS:
      TRANGE = (Optional) Time range of interest  (2 element array), if
              this is not set, the default is to prompt the user. Note
              that if the input time range is not a full day, a full
              day's data is loaded.
      /downloadonly, if set, then only download the data, do not load it
                     into variables.
      VERBOSE: [1,...,5], Get more detailed (higher number) command line output.

    CODE:
     A. Shinbori, 24/01/2013.

    MODIFICATIONS:

    ACKNOWLEDGEMENT:
     $LastChangedBy: nikos $
     $LastChangedDate: 2018-08-01 11:03:38 -0700 (Wed, 01 Aug 2018) $
     $LastChangedRevision: 25538 $
     $URL $

(See projects/iugonet/load/iug_load_mf_rish_pon_nc.pro)

## IUG_LOAD_MF_RISH_PON_TXT

[Previous Routine] [Next Routine] [List of Routines]

    Name:
    iug_load_mf_rish_pon_txt

    Purpose:
      Queries the Kyoto_RISH renkei2 servers for pontianak data and loads data into
      tplot format.

    Syntax:
     iug_load_mf_rish_pon_txt, downloadonly = downloadonly, trange = trange, verbose = verbose

    Keywords:
      TRANGE = (Optional) Time range of interest  (2 element array), if
              this is not set, the default is to prompt the user. Note
              that if the input time range is not a full day, a full
              day's data is loaded.
      /downloadonly, if set, then only download the data, do not load it
                     into variables.
      VERBOSE: [1,...,5], Get more detailed (higher number) command line output.

    Code:
      A. Shinbori, 10/09/2010.

    Modifications:
      A. Shinbori, 05/06/2011.
      A. Shinbori, 24/01/2014.

    Acknowledgment:
     $LastChangedBy: nikos $
     $LastChangedDate: 2018-08-01 11:03:38 -0700 (Wed, 01 Aug 2018) $
     $LastChangedRevision: 25538 $
     $URL $

(See projects/iugonet/load/iug_load_mf_rish_pon_txt.pro)

## IUG_LOAD_MU

[Previous Routine] [Next Routine] [List of Routines]

    NAME:
    iug_load_mu

    PURPOSE:
      Queries the Kyoto_RISH servers for all the observation data taken by
      the Middle and Upper atmosphere (MU) radar at Shigaraki and loads data into
      tplot format.

    SYNTAX:
      iug_load_mu [ ,DATATYPE = string ]
                  [ ,LEVEL = string ]
                  [ ,PARAMETER = string ]
                  [ ,TRANGE = [min,max] ]
                  [ ,<and data keywords below> ]

    KEYWOARDS:
      DATATYPE = The type of data to be loaded. In this load program,
                 DATATYPEs are 'troposphere' etc.
      LEVEL = The level of mesospheric data to be loaded. In this load program,
                 LEVELs are 'org' and 'scr'.
      PARAMETER = The parameter of mu observations to be loaded. For example,
                 PARAMETER is 'h1t60min00','iemdc3', and so on.
      LENGTH = The file type of meteor data to be loaded.
                 LENGTHs are '1-day' and '1-month'. Default is 1-day.
      TRANGE = (Optional) Time range of interest  (2 element array), if
              this is not set, the default is to prompt the user. Note
              that if the input time range is not a full day, a full
              day's data is loaded.
      VERBOSE (In): [1,...,5], Get more detailed (higher number) command line output.

    CODE:
     A. Shinbori, 09/19/2010.

    MODIFICATIONS:
     A. Shinbori, 03/24/2011.
     A. Shinbori, 08/08/2012.
     A. Shinbori, 04/10/2012.
     A. Shinbori, 12/11/2012.
     A. Shinbori, 02/08/2013.
     A. Shinbori, 25/09/2013.
     A. Shinbori, 27/11/2013.
     A. Shinbori, 11/01/2014.

    ACKNOWLEDGEMENT:
     $LastChangedBy: nikos $
     $LastChangedDate: 2018-08-01 11:03:38 -0700 (Wed, 01 Aug 2018) $
     $LastChangedRevision: 25538 $
     $URL $

(See projects/iugonet/load/iug_load_mu.pro)

## IUG_LOAD_MU_FAI_NC

[Previous Routine] [Next Routine] [List of Routines]

    NAME:
    iug_load_mu_fai_nc

    PURPOSE:
      Queries the Kyoto_RISH servers for the FAI observation data in the netCDF format
      taken by the MU radar and loads data into tplot format.

    SYNTAX:
     iug_load_mu_fai_nc, parameter=parameter, $
                         downloadonly=downloadonly, trange=trange, verbose=verbose

    KEYWOARDS:
      PARAMETER = first parameter name of MU FAI obervation data.
              For example, iug_load_mu_fai_nc, parameter = 'iemdc3'.
              The default is 'all', i.e., load all available parameters.
      TRANGE = (Optional) Time range of interest  (2 element array), if
              this is not set, the default is to prompt the user. Note
              that if the input time range is not a full day, a full
              day's data is loaded.
      /downloadonly, if set, then only download the data, do not load it
                     into variables.
      VERBOSE: [1,...,5], Get more detailed (higher number) command line output.

    CODE:
     A. Shinbori, 18/08/2013.
     A. Shinbori, 10/10/2013.

    MODIFICATIONS:
     A. Shinbori, 17/11/2013.
     A. Shinbori, 18/12/2013.
     A. Shinbori, 24/01/2014.
     A. Shinbori, 30/11/2017.

    ACKNOWLEDGEMENT:
     $LastChangedBy: nikos $
     $LastChangedDate: 2018-08-01 11:03:38 -0700 (Wed, 01 Aug 2018) $
     $LastChangedRevision: 25538 $
     $URL $

(See projects/iugonet/load/iug_load_mu_fai_nc.pro)

## IUG_LOAD_MU_FAI_TXT

[Previous Routine] [Next Routine] [List of Routines]

    NAME:
    iug_load_mu_fai_txt

    PURPOSE:
      Queries the Kyoto_RISH servers for the FAI observation data in the CSV format
      taken by the MU radar and loads data into tplot format.

    SYNTAX:
     iug_load_mu_fai_txt, parameter1=parameter1, parameter2=parameter2 $
                              downloadonly=downloadonly, trange=trange, verbose=verbose

    KEYWOARDS:
      PARAMETER1 = first parameter name of MU FAI obervation data.
              For example, iug_load_mu_fai_txt, parameter = 'iemdc3'.
              The default is 'all', i.e., load all available parameters.
      PARAMETER2 = second parameter name of MU FAI obervation data.
              For example, iug_load_mu_fai_txt, parameter = 'dpl1'.
              The default is 'all', i.e., load all available parameters.
      TRANGE = (Optional) Time range of interest  (2 element array), if
              this is not set, the default is to prompt the user. Note
              that if the input time range is not a full day, a full
              day's data is loaded.
      /downloadonly, if set, then only download the data, do not load it
                     into variables.
      VERBOSE: [1,...,5], Get more detailed (higher number) command line output.

    CODE:
     A. Shinbori, 01/08/2013.
     A. Shinbori, 10/10/2013.

    MODIFICATIONS:
     A. Shinbori, 27/11/2013.
     A. Shinbori, 24/01/2014.
     A. Shinbori, 30/11/2017.

    ACKNOWLEDGEMENT:
     $LastChangedBy: nikos $
     $LastChangedDate: 2018-08-01 11:03:38 -0700 (Wed, 01 Aug 2018) $
     $LastChangedRevision: 25538 $
     $URL $

(See projects/iugonet/load/iug_load_mu_fai_txt.pro)

## IUG_LOAD_MU_IONO_DRIFT_NC

[Previous Routine] [Next Routine] [List of Routines]

    NAME:
    iug_load_mu_iono_drift_nc

    PURPOSE:
      Queries the Kyoto_RISH servers for ionospheric plasma drift velocity in netCDF format
      estimated from the incoherent scatter observation of the MU radar at Shigaraki
      and loads data into tplot format.

    SYNTAX:
     iug_load_mu_iono_drift_nc, downloadonly = downloadonly, $
                              trange = trange, verbose=verbose

    KEYWOARDS:
      trange = (Optional) Time range of interest  (2 element array), if
              this is not set, the default is to prompt the user. Note
              that if the input time range is not a full day, a full
              day's data is loaded.
      /downloadonly, if set, then only download the data, do not load it
                     into variables.

    CODE:
     A. Shinbori, 03/10/2012.

    MODIFICATIONS:
     A. Shinbori, 12/11/2012.
     A. Shinbori, 24/12/2012.
     A. Shinbori, 24/01/2014.
     A. Shinbori, 09/08/2017.
     A. Shinbori, 30/11/2017.

    ACKNOWLEDGEMENT:
     $LastChangedBy: nikos $
     $LastChangedDate: 2018-08-01 11:03:38 -0700 (Wed, 01 Aug 2018) $
     $LastChangedRevision: 25538 $
     $URL $

(See projects/iugonet/load/iug_load_mu_iono_drift_nc.pro)

## IUG_LOAD_MU_IONO_DRIFT_TXT

[Previous Routine] [Next Routine] [List of Routines]

    NAME:
    iug_load_mu_iono_drift_txt

    PURPOSE:
      Queries the Kyoto_RISH servers for ionospheric plasma drift velocity in text format
      estimated from the incoherent scatter observation of the MU radar at Shigaraki
      and loads data into tplot format.

    SYNTAX:
     iug_load_mu_iono_drift_txt, downloadonly = downloadonly, $
                              trange = trange, verbose=verbose

    KEYWOARDS:
      TRANGE = (Optional) Time range of interest  (2 element array), if
              this is not set, the default is to prompt the user. Note
              that if the input time range is not a full day, a full
              day's data is loaded.
      /downloadonly, if set, then only download the data, do not load it
                     into variables.
      VERBOSE: [1,...,5], Get more detailed (higher number) command line output.

    CODE:
     A. Shinbori, 03/10/2012.

    MODIFICATIONS:
     A. Shinbori, 12/11/2012.
     A. Shinbori, 24/12/2012.
     A. Shinbori, 24/01/2014.
     A. Shinbori, 09/08/2017.
     A. Shinbori, 30/11/2017.

    ACKNOWLEDGEMENT:
     $LastChangedBy: nikos $
     $LastChangedDate: 2018-08-01 11:03:38 -0700 (Wed, 01 Aug 2018) $
     $LastChangedRevision: 25538 $
     $URL $

(See projects/iugonet/load/iug_load_mu_iono_drift_txt.pro)

## IUG_LOAD_MU_IONO_PWR_NC

[Previous Routine] [Next Routine] [List of Routines]

    NAME:
    iug_load_mu_iono_pwr_nc

    PURPOSE:
      Queries the Kyoto_RISH servers for ion and electron temperatures in netCDF format
      estimated from the incoherent scatter observation of the MU radar at Shigaraki
      and loads data into tplot format.

    SYNTAX:
     iug_load_mu_iono_pwr_nc, downloadonly = downloadonly, $
                              trange = trange, verbose=verbose

    KEYWOARDS:
      TRANGE = (Optional) Time range of interest  (2 element array), if
              this is not set, the default is to prompt the user. Note
              that if the input time range is not a full day, a full
              day's data is loaded.
      /downloadonly, if set, then only download the data, do not load it
                     into variables.
      VERBOSE: [1,...,5], Get more detailed (higher number) command line output.

    CODE:
     A. Shinbori, 02/10/2012.

    MODIFICATIONS:
     A. Shinbori, 12/11/2012.
     A. Shinbori, 24/12/2012.
     A. Shinbori, 24/01/2014.
     A. Shinbori, 09/08/2017.
     A. Shinbori, 30/11/2017.

    ACKNOWLEDGEMENT:
     $LastChangedBy: nikos $
     $LastChangedDate: 2018-08-01 11:03:38 -0700 (Wed, 01 Aug 2018) $
     $LastChangedRevision: 25538 $
     $URL $

(See projects/iugonet/load/iug_load_mu_iono_pwr_nc.pro)

## IUG_LOAD_MU_IONO_PWR_TXT

[Previous Routine] [Next Routine] [List of Routines]

    NAME:
    iug_load_mu_iono_pwr_txt

    PURPOSE:
      Queries the Kyoto_RISH servers for ion and electron temperatures in text format
      estimated from the incoherent scatter observation of the MU radar at Shigaraki
      and loads data into tplot format.

    SYNTAX:
     iug_load_mu_iono_pwr_txt, parameter = parameter, downloadonly = downloadonly, $
                              trange = trange, verbose=verbose

    KEYWOARDS:
      PARAMETER = parameter name of echo power data taken by the MU incherent scatter mode.
              For example, iug_load_mu_iono_pwr_txt, parameter = 'pwr1'.
              The default is 'all', i.e., load all available parameters.
      TRANGE = (Optional) Time range of interest  (2 element array), if
              this is not set, the default is to prompt the user. Note
              that if the input time range is not a full day, a full
              day's data is loaded.
      /downloadonly, if set, then only download the data, do not load it
                     into variables.
      VERBOSE: [1,...,5], Get more detailed (higher number) command line output.

    CODE:
     A. Shinbori, 03/10/2012.

    MODIFICATIONS:
     A. Shinbori, 12/11/2012.
     A. Shinbori, 24/12/2012.
     A. Shinbori, 24/01/2014.
     A. Shinbori, 09/08/2017.
     A. Shinbori, 30/11/2017.

    ACKNOWLEDGEMENT:
     $LastChangedBy: nikos $
     $LastChangedDate: 2018-08-01 11:03:38 -0700 (Wed, 01 Aug 2018) $
     $LastChangedRevision: 25538 $
     $URL $

(See projects/iugonet/load/iug_load_mu_iono_pwr_txt.pro)

## IUG_LOAD_MU_IONO_TETI_NC

[Previous Routine] [Next Routine] [List of Routines]

    NAME:
    iug_load_mu_iono_teti_nc

    PURPOSE:
      Queries the Kyoto_RISH servers for ion and electron temperatures in netCDF format
      estimated from the incoherent scatter observation of the MU radar at Shigaraki
      and loads data into tplot format.

    SYNTAX:
     iug_load_mu_iono_teti_nc, downloadonly = downloadonly, $
                              trange = trange, verbose=verbose

    KEYWOARDS:
      TRANGE = (Optional) Time range of interest  (2 element array), if
              this is not set, the default is to prompt the user. Note
              that if the input time range is not a full day, a full
              day's data is loaded.
      /downloadonly, if set, then only download the data, do not load it
                     into variables.
      VERBOSE: [1,...,5], Get more detailed (higher number) command line output.

    CODE:
     A. Shinbori, 02/10/2012.

    MODIFICATIONS:
     A. Shinbori, 12/11/2012.
     A. Shinbori, 24/12/2012.
     A. Shinbori, 24/01/2014.
     A. Shinbori, 09/08/2017.
     A. Shinbori, 30/11/2017.

    ACKNOWLEDGEMENT:
     $LastChangedBy: nikos $
     $LastChangedDate: 2018-08-01 11:03:38 -0700 (Wed, 01 Aug 2018) $
     $LastChangedRevision: 25538 $
     $URL $

(See projects/iugonet/load/iug_load_mu_iono_teti_nc.pro)

## IUG_LOAD_MU_IONO_TETI_TXT

[Previous Routine] [Next Routine] [List of Routines]

    NAME:
    iug_load_mu_iono_teti_txt

    PURPOSE:
      Queries the Kyoto_RISH servers for ion and electron temperatures in text format
      estimated from the incoherent scatter observation of the MU radar at Shigaraki
      and loads data into tplot format.

    SYNTAX:
     iug_load_mu_iono_teti_txt, downloadonly = downloadonly, $
                              trange = trange, verbose=verbose

    KEYWOARDS:
      TRANGE = (Optional) Time range of interest  (2 element array), if
              this is not set, the default is to prompt the user. Note
              that if the input time range is not a full day, a full
              day's data is loaded.
      /downloadonly, if set, then only download the data, do not load it
                     into variables.
      VERBOSE: [1,...,5], Get more detailed (higher number) command line output.

    CODE:
     A. Shinbori, 03/10/2012.

    MODIFICATIONS:
     A. Shinbori, 24/12/2012.
     A. Shinbori, 24/01/2014.
     A. Shinbori, 09/08/2017.
     A. Shinbori, 30/11/2017.

    ACKNOWLEDGEMENT:
     $LastChangedBy: nikos $
     $LastChangedDate: 2018-08-01 11:03:38 -0700 (Wed, 01 Aug 2018) $
     $LastChangedRevision: 25538 $
     $URL $

(See projects/iugonet/load/iug_load_mu_iono_teti_txt.pro)

## IUG_LOAD_MU_IS_NC

[Previous Routine] [Next Routine] [List of Routines]

    NAME:
    iug_load_mu_is_nc

    PURPOSE:
      Queries the Kyoto_RISH servers for ionospheric parameters (e.g., electron and ion drift
      velocities, echo power and ion temperature) in netCDF format estimated from the incoherent
      scatter observation of the MU radar at Shigaraki and loads data into tplot format.

    SYNTAX:
     iug_load_mu_is_nc, datatype = datatype, parameter = parameter,downloadonly = downloadonly, $
                               trange = trange, verbose=verbose

    KEYWOARDS:
      datatype = Observation data type. For example, iug_load_mu_meteor_nc, datatype = 'ionosphere'.
                The default is 'ionosphere'.
      parameters = Data parameter. For example, iug_load_meteor_srp_nc, parameter = 'drift'.
                 A kind of parameters is 3 types of 'temperature', 'drift', 'power'.
                 The default is 'all'.
      trange = (Optional) Time range of interest  (2 element array), if
              this is not set, the default is to prompt the user. Note
              that if the input time range is not a full day, a full
              day's data is loaded.
      /downloadonly, if set, then only download the data, do not load it
                     into variables.

    CODE:
     A. Shinbori, 05/07/2012.

    MODIFICATIONS:
     A. Shinbori, 30/11/2017.

    ACKNOWLEDGEMENT:
     $LastChangedBy: nikos $
     $LastChangedDate: 2018-08-01 11:03:38 -0700 (Wed, 01 Aug 2018) $
     $LastChangedRevision: 25538 $
     $URL $

(See projects/iugonet/load/iug_load_mu_is_nc.pro)

## IUG_LOAD_MU_MESO_NC

[Previous Routine] [Next Routine] [List of Routines]

    NAME:
     iug_load_mu_meso_nc

    PURPOSE:
      Queries the RISH servers for the standard observation data (netCDF format) of the
      mesosphere taken by the Middle and Upper atmosphere (MU) radar at Shigaraki
      and loads data into tplot format.

    SYNTAX:
     iug_load_mu_meso_nc, level=level, downloadonly=downloadonly, trange=trange, verbose=verbose

    KEYWOARDS:.
      LEVEL = Observation data level. For example, iug_load_mu_meso_nc, level = 'org'.
                The default is 'scr'.
                When you set the level of 'org', the original data are stored in tplot variables.
                When you set the level of 'scr', the screening data are stored in tplot variables.
      TRANGE = (Optional) Time range of interest  (2 element array), if
              this is not set, the default is to prompt the user. Note
              that if the input time range is not a full day, a full
              day's data is loaded.
      /downloadonly, if set, then only download the data, do not load it
                     into variables.
      VERBOSE: [1,...,5], Get more detailed (higher number) command line output.

    CODE:
     A. Shinbori, 14/07/2012.

    MODIFICATIONS:
     A. Shinbori, 12/11/2012.
     A. Shinbori, 24/12/2012.
     A. Shinbori, 24/01/2014.
     A. Shinbori, 09/08/2017.
     A. Shinbori, 30/11/2017.

    ACKNOWLEDGEMENT:
     $LastChangedBy: nikos $
     $LastChangedDate: 2018-08-01 11:03:38 -0700 (Wed, 01 Aug 2018) $
     $LastChangedRevision: 25538 $
     $URL $

(See projects/iugonet/load/iug_load_mu_meso_nc.pro)

## IUG_LOAD_MU_MESO_TXT

[Previous Routine] [Next Routine] [List of Routines]

    NAME:
    iug_load_mu_meso_txt

    PURPOSE:
      Queries the RISH servers for the standard observation data (CSV format) of the
      mesosphere taken by the Middle and Upper atmosphere (MU) radar at Shigaraki and
      loads data into tplot format.

    SYNTAX:
     iug_load_mu_meso_txt, level=level, parameter=parameter, $
                           downloadonly=downloadonly, trange=trange, verbose=verbose

    KEYWOARDS:
      PARAMETER = Parameter name of MU mesosphere obervation data.
              For example, iug_load_mu_meso_txt, parameter1 = 'dpl1'.
              The default is 'all', i.e., load all available parameters.
      LEVEL = Choice of original and screening data of MU mesosphere obervation.
              For example, iug_load_mu_meso_txt, parameter2 = 'screening'.
              The default is 'all', i.e., load all available parameters.
      TRANGE = (Optional) Time range of interest  (2 element array), if
              this is not set, the default is to prompt the user. Note
              that if the input time range is not a full day, a full
              day's data is loaded.
      /downloadonly, if set, then only download the data, do not load it
                     into variables.
      VERBOSE: [1,...,5], Get more detailed (higher number) command line output.

    CODE:
     A. Shinbori, 25/07/2012.

    MODIFICATIONS:
     A. Shinbori, 12/11/2012.
     A. Shinbori, 24/12/2012.
     A. Shinbori, 24/01/2014.
     A. Shinbori, 09/08/2017.
     A. Shinbori, 30/11/2017.

    ACKNOWLEDGEMENT:
     $LastChangedBy: nikos $
     $LastChangedDate: 2018-08-01 11:03:38 -0700 (Wed, 01 Aug 2018) $
     $LastChangedRevision: 25538 $
     $URL $

(See projects/iugonet/load/iug_load_mu_meso_txt.pro)

## IUG_LOAD_MU_MESO_WIND_NC

[Previous Routine] [Next Routine] [List of Routines]

    NAME:
    iug_load_mu_meso_wind_nc

    PURPOSE:
      Queries the RISH servers for the 1-hour average wind data (netCDF format) of the
      mesosphere taken by the Middle and Upper atmosphere (MU) radar at Shigaraki
      and loads data into tplot format.

    SYNTAX:
     iug_load_mu_meso_wind_nc, downloadonly=downloadonly, trange=trange, verbose=verbose

    KEYWOARDS:
      LEVEL = Observation data level. For example, iug_load_mu_wind_meso_nc, level = 'org'.
                For example, iug_load_mu_meso_txt, parameter2 = 'scr'.
                The default is 'all', i.e., load all available level data.
      TRANGE = (Optional) Time range of interest  (2 element array), if
              this is not set, the default is to prompt the user. Note
              that if the input time range is not a full day, a full
              day's data is loaded.
      /downloadonly, if set, then only download the data, do not load it
                     into variables.
      VERBOSE: [1,...,5], Get more detailed (higher number) command line output.

    CODE:
     A. Shinbori, 21/07/2012.

    MODIFICATIONS:
     A. Shinbori, 12/11/2012.
     A. Shinbori, 24/12/2012.
     A. Shinbori, 24/01/2014.
     A. Shinbori, 09/08/2017.
     A. Shinbori, 30/11/2017.

    ACKNOWLEDGEMENT:
     $LastChangedBy: nikos $
     $LastChangedDate: 2018-08-01 11:03:38 -0700 (Wed, 01 Aug 2018) $
     $LastChangedRevision: 25538 $
     $URL $

(See projects/iugonet/load/iug_load_mu_meso_wind_nc.pro)

## IUG_LOAD_MU_MESO_WIND_TXT

[Previous Routine] [Next Routine] [List of Routines]

    NAME:
    iug_load_mu_meso_wind_txt

    PURPOSE:
      Queries the RISH servers for the 1-hour average wind data (CSV format) of the
      mesosphere taken by the Middle and Upper atmosphere (MU) radar at Shigaraki
      and loads data into tplot format.

    SYNTAX:
     iug_load_mu_meso_wind_txt,downloadonly=downloadonly, trange=trange, verbose=verbose

    KEYWOARDS:
      PARAMETER = parameter name of wind data in the mesosphere.
              For example, iug_load_mu_meso_wind_txt, parameter = 'uwnd'.
              The default is 'all', i.e., load all available parameters.
      LEVEL = Observation data level. For example, iug_load_mu_wind_meso_txt, level = 'org'.
                The default is 'all', i.e., load all available levels.
                When you set the level of 'org', the original data are stored in tplot variables.
                When you set the level of 'scr', the screening data are stored in tplot variables.
      TRANGE = (Optional) Time range of interest  (2 element array), if
              this is not set, the default is to prompt the user. Note
              that if the input time range is not a full day, a full
              day's data is loaded.
      /downloadonly, if set, then only download the data, do not load it
                     into variables.
      VERBOSE: [1,...,5], Get more detailed (higher number) command line output.

    CODE:
     A. Shinbori, 25/07/2012.

    MODIFICATIONS:
     A. Shinbori, 12/11/2012.
     A. Shinbori, 24/12/2012.
     A. Shinbori, 24/01/2014.
     A. Shinbori, 30/11/2017.

    ACKNOWLEDGEMENT:
     $LastChangedBy: nikos $
     $LastChangedDate: 2018-08-01 11:03:38 -0700 (Wed, 01 Aug 2018) $
     $LastChangedRevision: 25538 $
     $URL $

(See projects/iugonet/load/iug_load_mu_meso_wind_txt.pro)

## IUG_LOAD_MU_METEOR_NC

[Previous Routine] [Next Routine] [List of Routines]

    NAME:
    iug_load_mu_meteor_nc

    PURPOSE:
      Queries the Kyoto_RISH servers for the horizontal wind data (uwnd, vwnd, uwndsig, vwndsig, mwnum)
      in the NetCDF format estimated from the meteor wind special observation of the MU radar at Shigaraki
      and loads data into tplot format.

    SYNTAX:
     iug_load_mu_meteor_nc, parameter = parameter,length = length,downloadonly = downloadonly, $
                               trange = trange, verbose=verbose

    KEYWOARDS:
      LENGTH = Data length '1-day' or '1-month'. For example, iug_load_mu_meteor_nc, length = '1_day'.
               A kind of parameters is 2 types of '1_day', and '1_month'.
      PARAMETER = Data parameter. For example, iug_load_meteor_srp_nc, parameter = 'h1t60min00'.
                 A kind of parameters is 2 types of 'h1t60min00', 'h1t30min00'.
                 The default is 'all'.
      TRANGE = (Optional) Time range of interest  (2 element array), if
              this is not set, the default is to prompt the user. Note
              that if the input time range is not a full day, a full
              day's data is loaded.
      /downloadonly, if set, then only download the data, do not load it
                     into variables.
      VERBOSE: [1,...,5], Get more detailed (higher number) command line output.

    CODE:
     A. Shinbori, 06/07/2012.

    MODIFICATIONS:
     A. Shinbori, 08/08/2012.
     A. Shinbori, 24/12/2012.
     A. Shinbori, 08/01/2014.
     A. Shinbori, 09/08/2017.
     A. Shinbori, 30/11/2017.

    ACKNOWLEDGEMENT:
     $LastChangedBy: nikos $
     $LastChangedDate: 2018-08-01 11:03:38 -0700 (Wed, 01 Aug 2018) $
     $LastChangedRevision: 25538 $
     $URL $

(See projects/iugonet/load/iug_load_mu_meteor_nc.pro)

## IUG_LOAD_MU_METEOR_TXT

[Previous Routine] [Next Routine] [List of Routines]

    NAME:
    iug_load_mu_meteor_txt

    PURPOSE:
      Queries the Kyoto_RISH servers for the horizontal wind data (uwnd, vwnd, uwndsig, vwndsig, mwnum)
      in the text format estimated from the meteor wind special observation of the MU radar at Shigaraki
      and loads data into tplot format.

    SYNTAX:
     iug_load_mu_meteor_txt, parameter = parameter, length=length, downloadonly = downloadonly, $
                              trange = trange, verbose=verbose

    KEYWOARDS:
      LENGTH = Data length '1-day' or '1-month'. For example, iug_load_mu_meteor_nc, length = '1_day'.
               A kind of parameters is 2 types of '1_day', and '1_month'.
      PARAMETER = Data parameter. For example, iug_load_mu_meteor_txt, parameter = 'h1t60min00'.
                  A kind of parameters is 2 types of 'h1t60min00' and 'h1t30min00'.
                  The default is 'all'.
      TRANGE = (Optional) Time range of interest  (2 element array), if
              this is not set, the default is to prompt the user. Note
              that if the input time range is not a full day, a full
              day's data is loaded.
      /downloadonly, if set, then only download the data, do not load it
                     into variables.
      VERBOSE: [1,...,5], Get more detailed (higher number) command line output.

    CODE:
     A. Shinbori, 10/06/2010.

    MODIFICATIONS:
     A. Shinbori, 13/11/2011.
     A. Shinbori, 08/08/2012.
     A. Shinbori, 12/11/2012.
     A. Shinbori, 24/12/2012.
     A. Shinbori, 15/04/2013.
     A. Shinbori, 24/01/2014.
     A. Shinbori, 09/08/2017.
     A. Shinbori, 30/11/2017.

    ACKNOWLEDGEMENT:
     $LastChangedBy: nikos $
     $LastChangedDate: 2018-08-01 11:03:38 -0700 (Wed, 01 Aug 2018) $
     $LastChangedRevision: 25538 $
     $URL $

(See projects/iugonet/load/iug_load_mu_meteor_txt.pro)

## IUG_LOAD_MU_RASS_TXT

[Previous Routine] [Next Routine] [List of Routines]

    NAME:
    iug_load_mu_rass_txt

    PURPOSE:
      Queries the Kyoto_RISH servers for the special observation data of the
      RASS in the CSV format taken by the Middle and
      Upper atmosphere (MU) radar at Shigaraki and loads data into tplot format.

    SYNTAX:
     iug_load_mu_rass_txt, parameter=parameter, $
                            downloadonly=downloadonly, trange=trange, verbose=verbose

    KEYWOARDS:
      PARAMETER = parameter name of MU troposphere standard obervation data.
              For example, iug_load_mu_trop_txt, parameter = 'uwnd'.
              The default is 'all', i.e., load all available parameters.
      TRANGE = (Optional) Time range of interest  (2 element array), if
              this is not set, the default is to prompt the user. Note
              that if the input time range is not a full day, a full
              day's data is loaded.
      /downloadonly, if set, then only download the data, do not load it
                     into variables.

    CODE:
     A. Shinbori, 22/06/2013.

    MODIFICATIONS:
     A. Shinbori, 24/01/2014.
     A. Shinbori, 09/08/2017.
     A. Shinbori, 30/11/2017.

    ACKNOWLEDGEMENT:
     $LastChangedBy: nikos $
     $LastChangedDate: 2018-08-01 11:03:38 -0700 (Wed, 01 Aug 2018) $
     $LastChangedRevision: 25538 $
     $URL $

(See projects/iugonet/load/iug_load_mu_rass_txt.pro)

## IUG_LOAD_MU_TROP_TXT

[Previous Routine] [Next Routine] [List of Routines]

    NAME:
    iug_load_mu_trop_txt

    PURPOSE:
      Queries the Kyoto_RISH servers for the standard observation data of the
      troposphere and lower stratsphere in the CSV format taken by the Middle and
      Upper atmosphere (MU) radar at Shigaraki and loads data into tplot format.

    SYNTAX:
     iug_load_ear_trop_txt, parameter=parameter, $
                            downloadonly=downloadonly, trange=trange, verbose=verbose

    KEYWOARDS:
      PARAMETER = parameter name of MU troposphere standard obervation data.
              For example, iug_load_mu_trop_txt, parameter = 'uwnd'.
              The default is 'all', i.e., load all available parameters.
      TRANGE = (Optional) Time range of interest  (2 element array), if
              this is not set, the default is to prompt the user. Note
              that if the input time range is not a full day, a full
              day's data is loaded.
      /downloadonly, if set, then only download the data, do not load it
                     into variables.
      VERBOSE: [1,...,5], Get more detailed (higher number) command line output.

    CODE:
     A. Shinbori, 19/09/2010.

    MODIFICATIONS:
     A. Shinbori, 24/03/2011.
     A. Shinbori, 13/11/2011.
     A. Shinbori, 26/12/2011.
     A. Shinbori, 31/01/2012.
     A. Shinbori, 19/12/2012.
     A. Shinbori, 27/07/2013.
     A. Shinbori, 24/01/2014.
     A. Shinbori, 09/08/2017.
     A. Shinbori, 30/11/2017.

    ACKNOWLEDGEMENT:
     $LastChangedBy: nikos $
     $LastChangedDate: 2018-08-01 11:03:38 -0700 (Wed, 01 Aug 2018) $
     $LastChangedRevision: 25538 $
     $URL $

(See projects/iugonet/load/iug_load_mu_trop_txt.pro)

## IUG_LOAD_RADIOSONDE_BDG_CSV

[Previous Routine] [Next Routine] [List of Routines]

    NAME:
    iug_load_radiosonde_bdg_csv

    PURPOSE:
      Queries the Kyoto RISH server for the text data (press, temp, rh, uwnd, vwnd)
      of the troposphere in csv format taken by the radiosonde at Bandung
      and loads data into tplot format.

    SYNTAX:
     iug_load_radiosonde_bdg_csv, downloadonly=downloadonly, trange=trange, verbose=verbose

    KEYWOARDS:
      trange = (Optional) Time range of interest  (2 element array), if
              this is not set, the default is to prompt the user. Note
              that if the input time range is not a full day, a full
              day's data is loaded.
      /downloadonly, if set, then only download the data, do not load it
                     into variables.
      VERBOSE: [1,...,5], Get more detailed (higher number) command line output.

    CODE:
      A. Shinbori, 12/02/2014.

    MODIFICATIONS:
      A. Shinbori, 28/10/2014.

    ACKNOWLEDGEMENT:
     $LastChangedBy: nikos $
     $LastChangedDate: 2018-08-01 11:03:38 -0700 (Wed, 01 Aug 2018) $
     $LastChangedRevision: 25538 $
     $URL $

(See projects/iugonet/load/iug_load_radiosonde_bdg_csv.pro)

## IUG_LOAD_RADIOSONDE_BDG_NC

[Previous Routine] [Next Routine] [List of Routines]

    NAME:
    iug_load_radiosonde_bdg_nc

    PURPOSE:
      Queries the Kyoto RISH server for the netCDF data (press, temp, rh, uwnd, vwnd)
      of the troposphere taken by the radiosonde at Bandung
      and loads data into tplot format.

    SYNTAX:
     iug_load_radiosonde_ktb_nc, downloadonly=downloadonly, trange=trange, verbose=verbose

    KEYWOARDS:
      TRANGE = (Optional) Time range of interest  (2 element array), if
              this is not set, the default is to prompt the user. Note
              that if the input time range is not a full day, a full
              day's data is loaded.
      /downloadonly, if set, then only download the data, do not load it
                     into variables.
      VERBOSE, Get more detailed (higher number) command line output.

    CODE:
      A. Shinbori, 12/02/2014.

    MODIFICATIONS:
      A. Shinbori, 28/10/2014.

    ACKNOWLEDGEMENT:
     $LastChangedBy: nikos $
     $LastChangedDate: 2018-08-01 11:03:38 -0700 (Wed, 01 Aug 2018) $
     $LastChangedRevision: 25538 $
     $URL $

(See projects/iugonet/load/iug_load_radiosonde_bdg_nc.pro)

## IUG_LOAD_RADIOSONDE_DAWEX_NC

[Previous Routine] [Next Routine] [List of Routines]

    NAME:
    iug_load_radiosonde_dawex_nc

    PURPOSE:
      Queries the Kyoto RISH server for the netCDF data (press, temp, rh, uwnd, vwnd)
      of the troposphere taken by the radiosonde at DAW, GNP and
      and loads data into tplot format.

    SYNTAX:
     iug_load_radiosonde_dawex_nc, site=site, $
                            downloadonly=downloadonly, trange=trange, verbose=verbose

    KEYWOARDS:
       SITE = DAWEX observation site.
              For example, iug_load_radiosonde_dawex_nc, site = 'drw'.
              The default is 'all', i.e., load all available observation points.
              The default is 'all', i.e., load all available parameters.
      TRANGE = (Optional) Time range of interest  (2 element array), if
              this is not set, the default is to prompt the user. Note
              that if the input time range is not a full day, a full
              day's data is loaded.
      /downloadonly, if set, then only download the data, do not load it
                     into variables.
      VERBOSE: [1,...,5], Get more detailed (higher number) command line output.

    CODE:
      A. Shinbori, 19/12/2012.

    MODIFICATIONS:
      A. Shinbori, 26/02/2013.
      A. Shinbori, 30/05/2013.
      A. Shinbori, 24/01/2014.

    ACKNOWLEDGEMENT:
     $LastChangedBy: nikos $
     $LastChangedDate: 2018-08-01 11:03:38 -0700 (Wed, 01 Aug 2018) $
     $LastChangedRevision: 25538 $
     $URL $

(See projects/iugonet/load/iug_load_radiosonde_dawex_nc.pro)

## IUG_LOAD_RADIOSONDE_DAWEX_TXT

[Previous Routine] [Next Routine] [List of Routines]

    NAME:
    iug_load_radiosonde_dawex_txt

    PURPOSE:
      Queries the Kyoto RISH server for the text data (press, temp, rh, uwnd, vwnd)
      of the troposphere taken by the radiosonde at DAW, GNP and
      and loads data into tplot format.

    SYNTAX:
     iug_load_radiosonde_dawex_txt, site=site, $
                            downloadonly=downloadonly, trange=trange, verbose=verbose

    KEYWOARDS:
       SITE = DAWEX observation site.
              For example, iug_load_radiosonde_dawex_txt, site = 'drw'.
              The default is 'all', i.e., load all available observation points.
              The default is 'all', i.e., load all available parameters.
      TRANGE = (Optional) Time range of interest  (2 element array), if
              this is not set, the default is to prompt the user. Note
              that if the input time range is not a full day, a full
              day's data is loaded.
      /downloadonly, if set, then only download the data, do not load it
                     into variables.
      VERBOSE: [1,...,5], Get more detailed (higher number) command line output.

    CODE:
      A. Shinbori, 19/12/2012.

    MODIFICATIONS:
      A. Shinbori, 16/02/2013.
      A. Shinbori, 26/02/2013.
      A. Shinbori, 30/05/2013.
      A. Shinbori, 24/01/2014.

    ACKNOWLEDGEMENT:
     $LastChangedBy: nikos $
     $LastChangedDate: 2018-08-01 11:03:38 -0700 (Wed, 01 Aug 2018) $
     $LastChangedRevision: 25538 $
     $URL $

(See projects/iugonet/load/iug_load_radiosonde_dawex_txt.pro)

## IUG_LOAD_RADIOSONDE_KTB_CSV

[Previous Routine] [Next Routine] [List of Routines]

    NAME:
    iug_load_radiosonde_ktb_csv

    PURPOSE:
      Queries the Kyoto RISH server for the text data (press, temp, rh, uwnd, vwnd)
      of the troposphere in csv format taken by the radiosonde at Koto. Tabang
      and loads data into tplot format.

    SYNTAX:
     iug_load_radiosonde_ktb_csv, downloadonly=downloadonly, trange=trange, verbose=verbose

    KEYWOARDS:
      trange = (Optional) Time range of interest  (2 element array), if
              this is not set, the default is to prompt the user. Note
              that if the input time range is not a full day, a full
              day's data is loaded.
      /downloadonly, if set, then only download the data, do not load it
                     into variables.
      VERBOSE: [1,...,5], Get more detailed (higher number) command line output.

    CODE:
      A. Shinbori, 12/02/2014.

    MODIFICATIONS:
      A. Shinbori, 28/10/2014.

    ACKNOWLEDGEMENT:
     $LastChangedBy: nikos $
     $LastChangedDate: 2018-08-01 11:03:38 -0700 (Wed, 01 Aug 2018) $
     $LastChangedRevision: 25538 $
     $URL $

(See projects/iugonet/load/iug_load_radiosonde_ktb_csv.pro)

## IUG_LOAD_RADIOSONDE_KTB_NC

[Previous Routine] [Next Routine] [List of Routines]

    NAME:
    iug_load_radiosonde_ktb_nc

    PURPOSE:
      Queries the Kyoto RISH server for the netCDF data (press, temp, rh, uwnd, vwnd)
      of the troposphere taken by the radiosonde at Koto Tabang
      and loads data into tplot format.

    SYNTAX:
     iug_load_radiosonde_ktb_nc, downloadonly=downloadonly, trange=trange, verbose=verbose

    KEYWOARDS:
      TRANGE = (Optional) Time range of interest  (2 element array), if
              this is not set, the default is to prompt the user. Note
              that if the input time range is not a full day, a full
              day's data is loaded.
      /downloadonly, if set, then only download the data, do not load it
                     into variables.
      VERBOSE, Get more detailed (higher number) command line output.

    CODE:
      A. Shinbori, 12/02/2014.

    MODIFICATIONS:
      A. Shinbori, 28/10/2014.

    ACKNOWLEDGEMENT:
     $LastChangedBy: nikos $
     $LastChangedDate: 2018-08-01 11:03:38 -0700 (Wed, 01 Aug 2018) $
     $LastChangedRevision: 25538 $
     $URL $

(See projects/iugonet/load/iug_load_radiosonde_ktb_nc.pro)

## IUG_LOAD_RADIOSONDE_PON_CSV

[Previous Routine] [Next Routine] [List of Routines]

    NAME:
    iug_load_radiosonde_pon_csv

    PURPOSE:
      Queries the Kyoto RISH server for the text data (press, temp, rh, uwnd, vwnd)
      of the troposphere in csv format taken by the radiosonde at Pontianak
      and loads data into tplot format.

    SYNTAX:
     iug_load_radiosonde_pon_csv, downloadonly=downloadonly, trange=trange, verbose=verbose

    KEYWOARDS:
      trange = (Optional) Time range of interest  (2 element array), if
              this is not set, the default is to prompt the user. Note
              that if the input time range is not a full day, a full
              day's data is loaded.
      /downloadonly, if set, then only download the data, do not load it
                     into variables.
      VERBOSE: [1,...,5], Get more detailed (higher number) command line output.

    CODE:
      A. Shinbori, 12/02/2014.

    MODIFICATIONS:
      A. Shinbori, 28/10/2014.

    ACKNOWLEDGEMENT:
     $LastChangedBy: nikos $
     $LastChangedDate: 2018-08-01 11:03:38 -0700 (Wed, 01 Aug 2018) $
     $LastChangedRevision: 25538 $
     $URL $

(See projects/iugonet/load/iug_load_radiosonde_pon_csv.pro)

## IUG_LOAD_RADIOSONDE_PON_NC

[Previous Routine] [Next Routine] [List of Routines]

    NAME:
    iug_load_radiosonde_pon_nc

    PURPOSE:
      Queries the Kyoto RISH server for the netCDF data (press, temp, rh, uwnd, vwnd)
      of the troposphere taken by the radiosonde at Pontianak
      and loads data into tplot format.

    SYNTAX:
     iug_load_radiosonde_pong_nc, downloadonly=downloadonly, trange=trange, verbose=verbose

    KEYWOARDS:
      TRANGE = (Optional) Time range of interest  (2 element array), if
              this is not set, the default is to prompt the user. Note
              that if the input time range is not a full day, a full
              day's data is loaded.
      /downloadonly, if set, then only download the data, do not load it
                     into variables.
      VERBOSE, Get more detailed (higher number) command line output.

    CODE:
      A. Shinbori, 12/02/2014.

    MODIFICATIONS:
      A. Shinbori, 28/10/2014.

    ACKNOWLEDGEMENT:
     $LastChangedBy: nikos $
     $LastChangedDate: 2018-08-01 11:03:38 -0700 (Wed, 01 Aug 2018) $
     $LastChangedRevision: 25538 $
     $URL $

(See projects/iugonet/load/iug_load_radiosonde_pon_nc.pro)

## IUG_LOAD_RADIOSONDE_RISH

[Previous Routine] [Next Routine] [List of Routines]

    NAME:
    iug_load_radiosonde_rish

    PURPOSE:
      Queries the Kyoto_RISH servers for all the observation data taken by
      the radiosonde at several observation points and loads data into
      tplot format.

    SYNTAX:
      iug_load_radiosonde_rish [ ,DATATYPE = string ]
                               [ ,SITE = string ]
                               [ ,TRANGE = [min,max] ]
                               [ ,<and data keywords below> ]

    KEYWOARDS:
      DATATYPE = The type of data to be loaded. In this load program,
                 DATATYPEs are 'DAWEX' and 'misc'.
      SITE = The observation site. In this load program,
                 defualt is 'sgk'.
      TRANGE = (Optional) Time range of interest  (2 element array), if
              this is not set, the default is to prompt the user. Note
              that if the input time range is not a full day, a full
              day's data is loaded.
      VERBOSE (In): [1,...,5], Get more detailed (higher number) command line output.

    CODE:
     A. Shinbori, 19/12/2012.

    MODIFICATIONS:
     A. Shinbori, 04/06/2013.
     A. Shinbori, 24/01/2014.
     A. Shinbori, 19/05/2016.

    ACKNOWLEDGEMENT:
     $LastChangedBy: nikos $
     $LastChangedDate: 2018-08-01 11:03:38 -0700 (Wed, 01 Aug 2018) $
     $LastChangedRevision: 25538 $
     $URL $

(See projects/iugonet/load/iug_load_radiosonde_rish.pro)

## IUG_LOAD_RADIOSONDE_SGK_CSV

[Previous Routine] [Next Routine] [List of Routines]

    NAME:
    iug_load_radiosonde_sgk_csv

    PURPOSE:
      Queries the Kyoto RISH server for the text data (press, temp, rh, uwnd, vwnd)
      of the troposphere in csv format taken by the radiosonde at Shigaraki MU Observatory
      and loads data into tplot format.

    SYNTAX:
     iug_load_radiosonde_sgk_csv, downloadonly=downloadonly, trange=trange, verbose=verbose

    KEYWOARDS:
      trange = (Optional) Time range of interest  (2 element array), if
              this is not set, the default is to prompt the user. Note
              that if the input time range is not a full day, a full
              day's data is loaded.
      /downloadonly, if set, then only download the data, do not load it
                     into variables.
      VERBOSE: [1,...,5], Get more detailed (higher number) command line output.

    CODE:
      A. Shinbori, 17/05/2013.

    MODIFICATIONS:
      A. Shinbori, 24/01/2014.
      A. Shinbori, 28/10/2014.
      A. Shinbori, 09/08/2017.
      A. Shinbori, 30/11/2017.

    ACKNOWLEDGEMENT:
     $LastChangedBy: nikos $
     $LastChangedDate: 2018-08-01 11:03:38 -0700 (Wed, 01 Aug 2018) $
     $LastChangedRevision: 25538 $
     $URL $

(See projects/iugonet/load/iug_load_radiosonde_sgk_csv.pro)

## IUG_LOAD_RADIOSONDE_SGK_SND

[Previous Routine] [Next Routine] [List of Routines]

    NAME:
    iug_load_radiosonde_sgk_snd

    PURPOSE:
      Queries the Kyoto RISH server for the text data (press, temp, rh, uwnd, vwnd)
      of the troposphere in snd format taken by the radiosonde at Shigaraki MU Observatory
      and loads data into tplot format.

    SYNTAX:
     iug_load_radiosonde_sgk_snd, downloadonly=downloadonly, trange=trange, verbose=verbose

    KEYWOARDS:
      trange = (Optional) Time range of interest  (2 element array), if
              this is not set, the default is to prompt the user. Note
              that if the input time range is not a full day, a full
              day's data is loaded.
      /downloadonly, if set, then only download the data, do not load it
                     into variables.
      VERBOSE: [1,...,5], Get more detailed (higher number) command line output.

    CODE:
      A. Shinbori, 17/05/2013.

    MODIFICATIONS:
      A. Shinbori, 24/01/2014.
      A. Shinbori, 28/10/2014.
      A. Shinbori, 09/08/2017.
      A. Shinbori, 30/11/2017.

    ACKNOWLEDGEMENT:
     $LastChangedBy: nikos $
     $LastChangedDate: 2018-08-01 11:03:38 -0700 (Wed, 01 Aug 2018) $
     $LastChangedRevision: 25538 $
     $URL $

(See projects/iugonet/load/iug_load_radiosonde_sgk_snd.pro)

## IUG_LOAD_RADIOSONDE_SGK_TSV

[Previous Routine] [Next Routine] [List of Routines]

    NAME:
    iug_load_radiosonde_sgk_tsv

    PURPOSE:
      Queries the Kyoto RISH server for the text data (press, temp, rh, uwnd, vwnd)
      of the troposphere in tsv format taken by the radiosonde at Shigaraki MU Observatory
      and loads data into tplot format.

    SYNTAX:
     iug_load_radiosonde_sgk_tsv, downloadonly=downloadonly, trange=trange, verbose=verbose

    KEYWOARDS:
      trange = (Optional) Time range of interest  (2 element array), if
              this is not set, the default is to prompt the user. Note
              that if the input time range is not a full day, a full
              day's data is loaded.
      /downloadonly, if set, then only download the data, do not load it
                     into variables.
      VERBOSE: [1,...,5], Get more detailed (higher number) command line output.

    CODE:
      A. Shinbori, 24/01/2014.

    MODIFICATIONS:
      A. Shinbori, 09/08/2017.
      A. Shinbori, 30/11/2017.

    ACKNOWLEDGEMENT:
     $LastChangedBy: nikos $
     $LastChangedDate: 2018-08-01 11:03:38 -0700 (Wed, 01 Aug 2018) $
     $LastChangedRevision: 25538 $
     $URL $

(See projects/iugonet/load/iug_load_radiosonde_sgk_tsv.pro)

## IUG_LOAD_RADIOSONDE_SRP_CSV

[Previous Routine] [Next Routine] [List of Routines]

    NAME:
    iug_load_radiosonde_srp_csv

    PURPOSE:
      Queries the Kyoto RISH server for the text data (press, temp, rh, uwnd, vwnd)
      of the troposphere in csv format taken by the radiosonde at Serpong
      and loads data into tplot format.

    SYNTAX:
     iug_load_radiosonde_srp_csv, downloadonly=downloadonly, trange=trange, verbose=verbose

    KEYWOARDS:
      trange = (Optional) Time range of interest  (2 element array), if
              this is not set, the default is to prompt the user. Note
              that if the input time range is not a full day, a full
              day's data is loaded.
      /downloadonly, if set, then only download the data, do not load it
                     into variables.
      VERBOSE: [1,...,5], Get more detailed (higher number) command line output.

    CODE:
      A. Shinbori, 12/02/2014.

    MODIFICATIONS:
      A. Shinbori, 28/10/2014.

    ACKNOWLEDGEMENT:
     $LastChangedBy: nikos $
     $LastChangedDate: 2018-08-01 11:03:38 -0700 (Wed, 01 Aug 2018) $
     $LastChangedRevision: 25538 $
     $URL $

(See projects/iugonet/load/iug_load_radiosonde_srp_csv.pro)

## IUG_LOAD_RADIOSONDE_SRP_NC

[Previous Routine] [Next Routine] [List of Routines]

    NAME:
    iug_load_radiosonde_srp_nc

    PURPOSE:
      Queries the Kyoto RISH server for the netCDF data (press, temp, rh, uwnd, vwnd)
      of the troposphere taken by the radiosonde at Serpong
      and loads data into tplot format.

    SYNTAX:
     iug_load_radiosonde_srp_nc, downloadonly=downloadonly, trange=trange, verbose=verbose

    KEYWOARDS:
      TRANGE = (Optional) Time range of interest  (2 element array), if
              this is not set, the default is to prompt the user. Note
              that if the input time range is not a full day, a full
              day's data is loaded.
      /downloadonly, if set, then only download the data, do not load it
                     into variables.
      VERBOSE, Get more detailed (higher number) command line output.

    CODE:
      A. Shinbori, 12/02/2014.

    MODIFICATIONS:
      A. Shinbori, 28/10/2014.

    ACKNOWLEDGEMENT:
     $LastChangedBy: nikos $
     $LastChangedDate: 2018-08-01 11:03:38 -0700 (Wed, 01 Aug 2018) $
     $LastChangedRevision: 25538 $
     $URL $

(See projects/iugonet/load/iug_load_radiosonde_srp_nc.pro)

## IUG_LOAD_RADIOSONDE_UJI_CSV

[Previous Routine] [Next Routine] [List of Routines]

    NAME:
    iug_load_radiosonde_uji_csv

    PURPOSE:
      Queries the Kyoto RISH server for the text data (press, temp, rh, uwnd, vwnd)
      of the troposphere in csv format taken by the radiosonde at Pontianak
      and loads data into tplot format.

    SYNTAX:
     iug_load_radiosonde_pon_csv, downloadonly=downloadonly, trange=trange, verbose=verbose

    KEYWOARDS:
      trange = (Optional) Time range of interest  (2 element array), if
              this is not set, the default is to prompt the user. Note
              that if the input time range is not a full day, a full
              day's data is loaded.
      /downloadonly, if set, then only download the data, do not load it
                     into variables.
      VERBOSE: [1,...,5], Get more detailed (higher number) command line output.

    CODE:
      A. Shinbori, 12/02/2014.

    MODIFICATIONS:
      A. Shinbori, 28/10/2014.

    ACKNOWLEDGEMENT:
     $LastChangedBy: nikos $
     $LastChangedDate: 2018-08-01 11:03:38 -0700 (Wed, 01 Aug 2018) $
     $LastChangedRevision: 25538 $
     $URL $

(See projects/iugonet/load/iug_load_radiosonde_uji_csv.pro)

## IUG_LOAD_RADIOSONDE_UJI_NC

[Previous Routine] [Next Routine] [List of Routines]

    NAME:
    iug_load_radiosonde_uji_nc

    PURPOSE:
      Queries the Kyoto RISH server for the netCDF data (press, temp, rh, uwnd, vwnd)
      of the troposphere taken by the radiosonde at Uji
      and loads data into tplot format.

    SYNTAX:
     iug_load_radiosonde_uji_nc, downloadonly=downloadonly, trange=trange, verbose=verbose

    KEYWOARDS:
      TRANGE = (Optional) Time range of interest  (2 element array), if
              this is not set, the default is to prompt the user. Note
              that if the input time range is not a full day, a full
              day's data is loaded.
      /downloadonly, if set, then only download the data, do not load it
                     into variables.
      VERBOSE, Get more detailed (higher number) command line output.

    CODE:
      A. Shinbori, 12/02/2014.

    MODIFICATIONS:
      A. Shinbori, 28/10/2014.

    ACKNOWLEDGEMENT:
     $LastChangedBy: nikos $
     $LastChangedDate: 2018-08-01 11:03:38 -0700 (Wed, 01 Aug 2018) $
     $LastChangedRevision: 25538 $
     $URL $

(See projects/iugonet/load/iug_load_radiosonde_uji_nc.pro)

## IUG_LOAD_SDFIT

[Previous Routine] [Next Routine] [List of Routines]

     PROCEDURE: iug_load_sdfit

     PURPOSE:
        Load fitacf CDF files of SuperDARN as tplot variables.

     NOTE: This procedure is a simple alias to "erg_load_sdfit"
       and calls the original one by just providing the same
       arguments/keywords given.
       Some load procedures for the ground-based observational data
       in the  ERG mission, named "erg_load_???", can be also called
       by "iug_load_???", because these data are related to the both
       ERG and IUGONET projects.
       For more information, see http://www.iugonet.org/en/
                             and http://gemsissc.stelab.nagoya-u.ac.jp/erg/

     :KEYWORDS:
        sites: 3-letter code of SD radar name.
               Currently only the following station codes work:
                     'ade', 'adw', 'bks', 'cly', 'cve', 'cvw', 'dce', 'fhe',
                      'fhw', 'gbr', 'hal', 'han', 'hok', 'inv', 'kap', 'kod',
                      'ksr', 'pgr', 'pyk', 'rkn', 'san', 'sas', 'sto', 'sye',
                      'sys', 'tig', 'unw', 'wal', 'zho'
        cdffn: File path of a CDF file if given explicitly.
        get_support_data: Turn this on to load the supporting data
        trange: time range for which data are loaded.
                e.g., ['2008-10-01/00:00:00','2008-10-02/00:00:00']

     :AUTHOR:
         Tomo Hori (E-mail: horit at stelab.nagoya-u.ac.jp)
     :HISTORY:
       2010/03/09: Created as a draft version
       2010/07/01: now work for hok and ksr
       2010/09/10: added some keywords

(See projects/iugonet/load/iug_load_sdfit.pro)

## IUG_LOAD_SMART

[Previous Routine] [Next Routine] [List of Routines]

     :PROCEDURE: iug_load_smart

     :PURPOSE:
        Load the solar image data in the FITS format obtained by the SMART telescope
        at the Hida Observatory, Kyoto Univ. Under some environment, you should set
        the following environment:
                   > setenv ROOT_DATA_DIR ~/data/
                   before you start the IDL.

     :Keywords:
        datatype:  basically set the telescope (e.g., halpha)
        filter:    filter name(s) (e.g., m05 )
        lst:       set a named variable to return the URL list of data files
        downloadonly: if set, then only download the data, do not load it into
                   variables.

     :EXAMPLES:
       timespan, '2005-08-03/05:00', 0.5, /hour
       iug_load_smart,filter='p00'
       iug_load_smart,filter='m08'
       tplot_names
       iug_plot2d_smart,'smart_t1_p00',4,4
       iug_movie_smart,'smart_t1_m08'

     :Author:
     	Tomo Hori (E-mail: horit@stelab.nagoya-u.ac.jp)
           Satoru UeNo (E-mail: ueno@kwasan.kyoto-u.ac.jp)

     :HISTORY:
     	2012/05/08: Created by TH
           2012/05/17: Addition of FITS_READ and STORE_DATA by SU

(See projects/iugonet/load/iug_load_smart.pro)

## IUG_LOAD_WPR_RISH

[Previous Routine] [List of Routines]

    NAME:
    iug_load_wpr_rish

    PURPOSE:
      Queries the Kyoto_RISH servers for the observation data (uwnd, vwnd, wwnd, pwr1-5, wdt1-5)
      in the CSV format taken by the Luneberg lens wind profiler radar (LL-WPR) and loads data into
      tplot format.

    SYNTAX:
     iug_load_wpr_rish, site=site, parameter=parameter, $
                            downloadonly=downloadonly, trange=trange, verbose=verbose

    KEYWOARDS:
       SITE = LTR observation site.
              For example, iug_load_wpr_rish, site = 'sgk'.
              The default is 'all', i.e., load all available observation points.
      PARAMETER = parameter name of WPR obervation data.
              For example, iug_load_wpr_rish, parameter = 'uwnd'.
              The default is 'all', i.e., load all available parameters.
      TRANGE = (Optional) Time range of interest  (2 element array), if
              this is not set, the default is to prompt the user. Note
              that if the input time range is not a full day, a full
              day's data is loaded.
      /downloadonly, if set, then only download the data, do not load it
                     into variables.
      VERBOSE: [1,...,5], Get more detailed (higher number) command line output.

    CODE:
     A. Shinbori, 06/10/2011.

    MODIFICATIONS:
     A. Shinbori, 26/12/2011.
     A. Shinbori. 31/01/2012.
     A. Shinbori, 10/02/2012.
     A. Shinbori, 04/03/2013.
     A. Shinbori, 08/04/2013.
     A. Shinbori, 24/01/2014.
     A. Shinbori, 09/08/2017.
     A. Shinbori, 30/11/2017.

    ACKNOWLEDGEMENT:
     $LastChangedBy: nikos $
     $LastChangedDate: 2018-08-01 11:03:38 -0700 (Wed, 01 Aug 2018) $
     $LastChangedRevision: 25538 $
     $URL $

(See projects/iugonet/load/iug_load_wpr_rish.pro)